
##############################################################################
#
# Copyright (c) 2003-2020 by The University of Queensland
# http://www.uq.edu.au
#
# Primary Business: Queensland, Australia
# Licensed under the Apache License, version 2.0
# http://www.apache.org/licenses/LICENSE-2.0
#
# Development until 2012 by Earth Systems Science Computational Center (ESSCC)
# Development 2012-2013 by School of Earth Sciences
# Development from 2014 by Centre for Geoscience Computing (GeoComp)
# Development from 2019 by School of Earth and Environmental Sciences
#
##############################################################################

from __future__ import print_function, division

expanded3Dtemps = ["const double tmp0 = w18*(-A_{0}1{1}2[7] + A_{0}2{1}1[3]);",
"const double tmp1 = w13*(A_{0}2{1}2[1] + A_{0}2{1}2[2] + A_{0}2{1}2[5] + A_{0}2{1}2[6]);",
"const double tmp2 = w11*(-A_{0}0{1}2[2] - A_{0}0{1}2[5] + A_{0}2{1}0[1] + A_{0}2{1}0[6]);",
"const double tmp3 = w14*(A_{0}0{1}0[2] + A_{0}0{1}0[3] + A_{0}0{1}0[6] + A_{0}0{1}0[7]);",
"const double tmp4 = w7*(A_{0}2{1}2[0] + A_{0}2{1}2[4]);",
"const double tmp5 = w10*(A_{0}1{1}2[1] + A_{0}1{1}2[6] - A_{0}2{1}1[2] - A_{0}2{1}1[5]);",
"const double tmp6 = w3*(A_{0}1{1}1[0] + A_{0}1{1}1[2] + A_{0}1{1}1[4] + A_{0}1{1}1[6]);",
"const double tmp7 = w1*(A_{0}0{1}1[0] + A_{0}0{1}1[4] + A_{0}1{1}0[0] + A_{0}1{1}0[4]);",
"const double tmp8 = w4*(A_{0}1{1}2[0] - A_{0}2{1}1[4]);",
"const double tmp9 = w15*(-A_{0}0{1}2[3] - A_{0}0{1}2[6] + A_{0}2{1}0[2] + A_{0}2{1}0[7]);",
"const double tmp10 = w0*(A_{0}0{1}0[0] + A_{0}0{1}0[1] + A_{0}0{1}0[4] + A_{0}0{1}0[5]);",
"const double tmp11 = w16*(A_{0}0{1}1[3] + A_{0}0{1}1[7] + A_{0}1{1}0[3] + A_{0}1{1}0[7]);",
"const double tmp12 = w9*(A_{0}1{1}1[1] + A_{0}1{1}1[3] + A_{0}1{1}1[5] + A_{0}1{1}1[7]);",
"const double tmp13 = w12*(-A_{0}1{1}2[3] - A_{0}1{1}2[5] + A_{0}2{1}1[1] + A_{0}2{1}1[7]);",
"const double tmp14 = w5*(-A_{0}0{1}2[1] - A_{0}0{1}2[4] + A_{0}2{1}0[0] + A_{0}2{1}0[5]);",
"const double tmp15 = w8*(A_{0}0{1}1[1] + A_{0}0{1}1[2] + A_{0}0{1}1[5] + A_{0}0{1}1[6] + A_{0}1{1}0[1] + A_{0}1{1}0[2] + A_{0}1{1}0[5] + A_{0}1{1}0[6]);",
"const double tmp16 = w6*(-A_{0}1{1}2[2] - A_{0}1{1}2[4] + A_{0}2{1}1[0] + A_{0}2{1}1[6]);",
"const double tmp17 = w19*(A_{0}2{1}2[3] + A_{0}2{1}2[7]);",
"const double tmp18 = w17*(-A_{0}0{1}2[7] + A_{0}2{1}0[3]);",
"const double tmp19 = w2*(A_{0}0{1}2[0] - A_{0}2{1}0[4]);",
"const double tmp20 = w13*(-A_{0}2{1}2[0] - A_{0}2{1}2[1] - A_{0}2{1}2[2] - A_{0}2{1}2[3] - A_{0}2{1}2[4] - A_{0}2{1}2[5] - A_{0}2{1}2[6] - A_{0}2{1}2[7]);",
"const double tmp21 = w11*(-A_{0}0{1}2[1] - A_{0}0{1}2[3] - A_{0}0{1}2[4] - A_{0}0{1}2[6] + A_{0}2{1}0[0] + A_{0}2{1}0[2] + A_{0}2{1}0[5] + A_{0}2{1}0[7]);",
"const double tmp22 = w14*(-A_{0}0{1}0[4] - A_{0}0{1}0[5] - A_{0}0{1}0[6] - A_{0}0{1}0[7]);",
"const double tmp23 = w20*(A_{0}0{1}1[2] + A_{0}1{1}0[1]);",
"const double tmp24 = w10*(A_{0}1{1}2[2] + A_{0}1{1}2[3] + A_{0}1{1}2[4] + A_{0}1{1}2[5] - A_{0}2{1}1[0] - A_{0}2{1}1[1] - A_{0}2{1}1[6] - A_{0}2{1}1[7]);",
"const double tmp25 = w3*(-A_{0}1{1}1[0] - A_{0}1{1}1[1] - A_{0}1{1}1[2] - A_{0}1{1}1[3]);",
"const double tmp26 = w1*(-A_{0}0{1}1[0] - A_{0}0{1}1[3] - A_{0}1{1}0[0] - A_{0}1{1}0[3]);",
"const double tmp27 = w15*(-A_{0}0{1}2[5] - A_{0}0{1}2[7] + A_{0}2{1}0[4] + A_{0}2{1}0[6]);",
"const double tmp28 = w0*(-A_{0}0{1}0[0] - A_{0}0{1}0[1] - A_{0}0{1}0[2] - A_{0}0{1}0[3]);",
"const double tmp29 = w16*(-A_{0}0{1}1[4] - A_{0}0{1}1[7] - A_{0}1{1}0[4] - A_{0}1{1}0[7]);",
"const double tmp30 = w9*(-A_{0}1{1}1[4] - A_{0}1{1}1[5] - A_{0}1{1}1[6] - A_{0}1{1}1[7]);",
"const double tmp31 = w21*(A_{0}0{1}1[5] + A_{0}1{1}0[6]);",
"const double tmp32 = w12*(-A_{0}1{1}2[6] - A_{0}1{1}2[7] + A_{0}2{1}1[4] + A_{0}2{1}1[5]);",
"const double tmp33 = w5*(-A_{0}0{1}2[0] - A_{0}0{1}2[2] + A_{0}2{1}0[1] + A_{0}2{1}0[3]);",
"const double tmp34 = w8*(-A_{0}0{1}1[1] - A_{0}0{1}1[6] - A_{0}1{1}0[2] - A_{0}1{1}0[5]);",
"const double tmp35 = w6*(-A_{0}1{1}2[0] - A_{0}1{1}2[1] + A_{0}2{1}1[2] + A_{0}2{1}1[3]);",
"const double tmp36 = w20*(-A_{0}0{1}1[6] + A_{0}1{1}0[4]);",
"const double tmp37 = w18*(A_{0}1{1}2[3] - A_{0}2{1}1[1]);",
"const double tmp38 = w11*(-A_{0}0{1}2[0] - A_{0}0{1}2[2] - A_{0}0{1}2[5] - A_{0}0{1}2[7] - A_{0}2{1}0[0] - A_{0}2{1}0[2] - A_{0}2{1}0[5] - A_{0}2{1}0[7]);",
"const double tmp39 = w14*(A_{0}0{1}0[0] + A_{0}0{1}0[1] + A_{0}0{1}0[2] + A_{0}0{1}0[3]);",
"const double tmp40 = w26*(A_{0}1{1}1[4] + A_{0}1{1}1[6]);",
"const double tmp41 = w0*(A_{0}0{1}0[4] + A_{0}0{1}0[5] + A_{0}0{1}0[6] + A_{0}0{1}0[7]);",
"const double tmp42 = w10*(-A_{0}1{1}2[2] - A_{0}1{1}2[5] + A_{0}2{1}1[0] + A_{0}2{1}1[7]);",
"const double tmp43 = w22*(A_{0}1{1}1[0] + A_{0}1{1}1[2] + A_{0}1{1}1[5] + A_{0}1{1}1[7]);",
"const double tmp44 = w1*(A_{0}0{1}1[4] + A_{0}0{1}1[7] - A_{0}1{1}0[5] - A_{0}1{1}0[6]);",
"const double tmp45 = w25*(A_{0}2{1}2[1] + A_{0}2{1}2[3] + A_{0}2{1}2[5] + A_{0}2{1}2[7]);",
"const double tmp46 = w4*(-A_{0}1{1}2[4] + A_{0}2{1}1[6]);",
"const double tmp47 = w15*(-A_{0}0{1}2[1] - A_{0}0{1}2[3] - A_{0}2{1}0[1] - A_{0}2{1}0[3]);",
"const double tmp48 = w21*(-A_{0}0{1}1[1] + A_{0}1{1}0[3]);",
"const double tmp49 = w16*(A_{0}0{1}1[0] + A_{0}0{1}1[3] - A_{0}1{1}0[1] - A_{0}1{1}0[2]);",
"const double tmp50 = w5*(-A_{0}0{1}2[4] - A_{0}0{1}2[6] - A_{0}2{1}0[4] - A_{0}2{1}0[6]);",
"const double tmp51 = w12*(A_{0}1{1}2[1] + A_{0}1{1}2[7] - A_{0}2{1}1[3] - A_{0}2{1}1[5]);",
"const double tmp52 = w24*(A_{0}1{1}1[1] + A_{0}1{1}1[3]);",
"const double tmp53 = w8*(A_{0}0{1}1[2] + A_{0}0{1}1[5] - A_{0}1{1}0[0] - A_{0}1{1}0[7]);",
"const double tmp54 = w6*(A_{0}1{1}2[0] + A_{0}1{1}2[6] - A_{0}2{1}1[2] - A_{0}2{1}1[4]);",
"const double tmp55 = w23*(A_{0}2{1}2[0] + A_{0}2{1}2[2] + A_{0}2{1}2[4] + A_{0}2{1}2[6]);",
"const double tmp56 = w18*(A_{0}1{1}2[4] - A_{0}2{1}1[6]);",
"const double tmp57 = w14*(A_{0}0{1}0[4] + A_{0}0{1}0[5] + A_{0}0{1}0[6] + A_{0}0{1}0[7]);",
"const double tmp58 = w26*(A_{0}1{1}1[1] + A_{0}1{1}1[3]);",
"const double tmp59 = w20*(-A_{0}0{1}1[1] + A_{0}1{1}0[3]);",
"const double tmp60 = w1*(A_{0}0{1}1[0] + A_{0}0{1}1[3] - A_{0}1{1}0[1] - A_{0}1{1}0[2]);",
"const double tmp61 = w25*(A_{0}2{1}2[0] + A_{0}2{1}2[2] + A_{0}2{1}2[4] + A_{0}2{1}2[6]);",
"const double tmp62 = w4*(-A_{0}1{1}2[3] + A_{0}2{1}1[1]);",
"const double tmp63 = w15*(-A_{0}0{1}2[4] - A_{0}0{1}2[6] - A_{0}2{1}0[4] - A_{0}2{1}0[6]);",
"const double tmp64 = w0*(A_{0}0{1}0[0] + A_{0}0{1}0[1] + A_{0}0{1}0[2] + A_{0}0{1}0[3]);",
"const double tmp65 = w16*(A_{0}0{1}1[4] + A_{0}0{1}1[7] - A_{0}1{1}0[5] - A_{0}1{1}0[6]);",
"const double tmp66 = w24*(A_{0}1{1}1[4] + A_{0}1{1}1[6]);",
"const double tmp67 = w21*(-A_{0}0{1}1[6] + A_{0}1{1}0[4]);",
"const double tmp68 = w12*(A_{0}1{1}2[0] + A_{0}1{1}2[6] - A_{0}2{1}1[2] - A_{0}2{1}1[4]);",
"const double tmp69 = w5*(-A_{0}0{1}2[1] - A_{0}0{1}2[3] - A_{0}2{1}0[1] - A_{0}2{1}0[3]);",
"const double tmp70 = w6*(A_{0}1{1}2[1] + A_{0}1{1}2[7] - A_{0}2{1}1[3] - A_{0}2{1}1[5]);",
"const double tmp71 = w23*(A_{0}2{1}2[1] + A_{0}2{1}2[3] + A_{0}2{1}2[5] + A_{0}2{1}2[7]);",
"const double tmp72 = w20*(A_{0}0{1}1[5] + A_{0}1{1}0[6]);",
"const double tmp73 = w14*(-A_{0}0{1}0[0] - A_{0}0{1}0[1] - A_{0}0{1}0[2] - A_{0}0{1}0[3]);",
"const double tmp74 = w0*(-A_{0}0{1}0[4] - A_{0}0{1}0[5] - A_{0}0{1}0[6] - A_{0}0{1}0[7]);",
"const double tmp75 = w3*(-A_{0}1{1}1[4] - A_{0}1{1}1[5] - A_{0}1{1}1[6] - A_{0}1{1}1[7]);",
"const double tmp76 = w1*(-A_{0}0{1}1[4] - A_{0}0{1}1[7] - A_{0}1{1}0[4] - A_{0}1{1}0[7]);",
"const double tmp77 = w15*(-A_{0}0{1}2[0] - A_{0}0{1}2[2] + A_{0}2{1}0[1] + A_{0}2{1}0[3]);",
"const double tmp78 = w21*(A_{0}0{1}1[2] + A_{0}1{1}0[1]);",
"const double tmp79 = w16*(-A_{0}0{1}1[0] - A_{0}0{1}1[3] - A_{0}1{1}0[0] - A_{0}1{1}0[3]);",
"const double tmp80 = w9*(-A_{0}1{1}1[0] - A_{0}1{1}1[1] - A_{0}1{1}1[2] - A_{0}1{1}1[3]);",
"const double tmp81 = w12*(-A_{0}1{1}2[0] - A_{0}1{1}2[1] + A_{0}2{1}1[2] + A_{0}2{1}1[3]);",
"const double tmp82 = w5*(-A_{0}0{1}2[5] - A_{0}0{1}2[7] + A_{0}2{1}0[4] + A_{0}2{1}0[6]);",
"const double tmp83 = w6*(-A_{0}1{1}2[6] - A_{0}1{1}2[7] + A_{0}2{1}1[4] + A_{0}2{1}1[5]);",
"const double tmp84 = w6*(-A_{0}1{1}2[2] - A_{0}1{1}2[3] - A_{0}2{1}1[2] - A_{0}2{1}1[3]);",
"const double tmp85 = w11*(A_{0}0{1}2[1] + A_{0}0{1}2[6] - A_{0}2{1}0[0] - A_{0}2{1}0[7]);",
"const double tmp86 = w20*(A_{0}0{1}1[3] - A_{0}1{1}0[2]);",
"const double tmp87 = w10*(A_{0}1{1}2[0] + A_{0}1{1}2[1] + A_{0}1{1}2[6] + A_{0}1{1}2[7] + A_{0}2{1}1[0] + A_{0}2{1}1[1] + A_{0}2{1}1[6] + A_{0}2{1}1[7]);",
"const double tmp88 = w3*(A_{0}1{1}1[0] + A_{0}1{1}1[1] + A_{0}1{1}1[2] + A_{0}1{1}1[3]);",
"const double tmp89 = w23*(A_{0}2{1}2[2] + A_{0}2{1}2[3] + A_{0}2{1}2[6] + A_{0}2{1}2[7]);",
"const double tmp90 = w1*(-A_{0}0{1}1[1] - A_{0}0{1}1[2] + A_{0}1{1}0[0] + A_{0}1{1}0[3]);",
"const double tmp91 = w25*(A_{0}2{1}2[0] + A_{0}2{1}2[1] + A_{0}2{1}2[4] + A_{0}2{1}2[5]);",
"const double tmp92 = w15*(A_{0}0{1}2[0] + A_{0}0{1}2[5] - A_{0}2{1}0[1] - A_{0}2{1}0[4]);",
"const double tmp93 = w21*(A_{0}0{1}1[4] - A_{0}1{1}0[5]);",
"const double tmp94 = w16*(-A_{0}0{1}1[5] - A_{0}0{1}1[6] + A_{0}1{1}0[4] + A_{0}1{1}0[7]);",
"const double tmp95 = w28*(A_{0}0{1}0[2] + A_{0}0{1}0[3]);",
"const double tmp96 = w12*(-A_{0}1{1}2[4] - A_{0}1{1}2[5] - A_{0}2{1}1[4] - A_{0}2{1}1[5]);",
"const double tmp97 = w29*(A_{0}0{1}0[4] + A_{0}0{1}0[5]);",
"const double tmp98 = w5*(A_{0}0{1}2[2] + A_{0}0{1}2[7] - A_{0}2{1}0[3] - A_{0}2{1}0[6]);",
"const double tmp99 = w8*(-A_{0}0{1}1[0] - A_{0}0{1}1[7] + A_{0}1{1}0[1] + A_{0}1{1}0[6]);",
"const double tmp100 = w9*(A_{0}1{1}1[4] + A_{0}1{1}1[5] + A_{0}1{1}1[6] + A_{0}1{1}1[7]);",
"const double tmp101 = w27*(A_{0}0{1}0[0] + A_{0}0{1}0[1] + A_{0}0{1}0[6] + A_{0}0{1}0[7]);",
"const double tmp102 = w17*(A_{0}0{1}2[4] - A_{0}2{1}0[5]);",
"const double tmp103 = w2*(-A_{0}0{1}2[3] + A_{0}2{1}0[2]);",
"const double tmp104 = w13*(A_{0}2{1}2[0] + A_{0}2{1}2[1] + A_{0}2{1}2[2] + A_{0}2{1}2[3] + A_{0}2{1}2[4] + A_{0}2{1}2[5] + A_{0}2{1}2[6] + A_{0}2{1}2[7]);",
"const double tmp105 = w6*(-A_{0}1{1}2[4] - A_{0}1{1}2[5] - A_{0}2{1}1[2] - A_{0}2{1}1[3]);",
"const double tmp106 = w22*(A_{0}1{1}1[0] + A_{0}1{1}1[1] + A_{0}1{1}1[2] + A_{0}1{1}1[3] + A_{0}1{1}1[4] + A_{0}1{1}1[5] + A_{0}1{1}1[6] + A_{0}1{1}1[7]);",
"const double tmp107 = w1*(-A_{0}0{1}1[2] - A_{0}0{1}1[6] - A_{0}1{1}0[1] - A_{0}1{1}0[5]);",
"const double tmp108 = w15*(-A_{0}0{1}2[1] - A_{0}0{1}2[3] - A_{0}2{1}0[4] - A_{0}2{1}0[6]);",
"const double tmp109 = w16*(-A_{0}0{1}1[1] - A_{0}0{1}1[5] - A_{0}1{1}0[2] - A_{0}1{1}0[6]);",
"const double tmp110 = w12*(-A_{0}1{1}2[2] - A_{0}1{1}2[3] - A_{0}2{1}1[4] - A_{0}2{1}1[5]);",
"const double tmp111 = w5*(-A_{0}0{1}2[4] - A_{0}0{1}2[6] - A_{0}2{1}0[1] - A_{0}2{1}0[3]);",
"const double tmp112 = w8*(-A_{0}0{1}1[0] - A_{0}0{1}1[3] - A_{0}0{1}1[4] - A_{0}0{1}1[7] - A_{0}1{1}0[0] - A_{0}1{1}0[3] - A_{0}1{1}0[4] - A_{0}1{1}0[7]);",
"const double tmp113 = w27*(A_{0}0{1}0[0] + A_{0}0{1}0[1] + A_{0}0{1}0[2] + A_{0}0{1}0[3] + A_{0}0{1}0[4] + A_{0}0{1}0[5] + A_{0}0{1}0[6] + A_{0}0{1}0[7]);",
"const double tmp114 = w11*(A_{0}0{1}2[0] + A_{0}0{1}2[2] + A_{0}0{1}2[5] + A_{0}0{1}2[7] - A_{0}2{1}0[1] - A_{0}2{1}0[3] - A_{0}2{1}0[4] - A_{0}2{1}0[6]);",
"const double tmp115 = w21*(-A_{0}0{1}1[4] - A_{0}1{1}0[7]);",
"const double tmp116 = w20*(-A_{0}0{1}1[3] - A_{0}1{1}0[0]);",
"const double tmp117 = w15*(A_{0}0{1}2[4] + A_{0}0{1}2[6] - A_{0}2{1}0[5] - A_{0}2{1}0[7]);",
"const double tmp118 = w16*(A_{0}0{1}1[5] + A_{0}0{1}1[6] + A_{0}1{1}0[5] + A_{0}1{1}0[6]);",
"const double tmp119 = w5*(A_{0}0{1}2[1] + A_{0}0{1}2[3] - A_{0}2{1}0[0] - A_{0}2{1}0[2]);",
"const double tmp120 = w8*(A_{0}0{1}1[0] + A_{0}0{1}1[7] + A_{0}1{1}0[3] + A_{0}1{1}0[4]);",
"const double tmp121 = w1*(A_{0}0{1}1[1] + A_{0}0{1}1[2] + A_{0}1{1}0[1] + A_{0}1{1}0[2]);",
"const double tmp122 = w18*(A_{0}1{1}2[2] - A_{0}2{1}1[6]);",
"const double tmp123 = w13*(A_{0}2{1}2[0] + A_{0}2{1}2[3] + A_{0}2{1}2[4] + A_{0}2{1}2[7]);",
"const double tmp124 = w11*(-A_{0}0{1}2[0] - A_{0}0{1}2[7] + A_{0}2{1}0[3] + A_{0}2{1}0[4]);",
"const double tmp125 = w7*(A_{0}2{1}2[1] + A_{0}2{1}2[5]);",
"const double tmp126 = w10*(-A_{0}1{1}2[3] - A_{0}1{1}2[4] + A_{0}2{1}1[0] + A_{0}2{1}1[7]);",
"const double tmp127 = w3*(A_{0}1{1}1[1] + A_{0}1{1}1[3] + A_{0}1{1}1[5] + A_{0}1{1}1[7]);",
"const double tmp128 = w1*(-A_{0}0{1}1[1] - A_{0}0{1}1[5] - A_{0}1{1}0[1] - A_{0}1{1}0[5]);",
"const double tmp129 = w4*(-A_{0}1{1}2[5] + A_{0}2{1}1[1]);",
"const double tmp130 = w16*(-A_{0}0{1}1[2] - A_{0}0{1}1[6] - A_{0}1{1}0[2] - A_{0}1{1}0[6]);",
"const double tmp131 = w9*(A_{0}1{1}1[0] + A_{0}1{1}1[2] + A_{0}1{1}1[4] + A_{0}1{1}1[6]);",
"const double tmp132 = w19*(A_{0}2{1}2[2] + A_{0}2{1}2[6]);",
"const double tmp133 = w17*(-A_{0}0{1}2[2] + A_{0}2{1}0[6]);",
"const double tmp134 = w2*(A_{0}0{1}2[5] - A_{0}2{1}0[1]);",
"const double tmp135 = w11*(A_{0}0{1}2[1] + A_{0}0{1}2[3] + A_{0}0{1}2[4] + A_{0}0{1}2[6] + A_{0}2{1}0[1] + A_{0}2{1}0[3] + A_{0}2{1}0[4] + A_{0}2{1}0[6]);",
"const double tmp136 = w1*(A_{0}0{1}1[3] + A_{0}0{1}1[7] + A_{0}1{1}0[0] + A_{0}1{1}0[4]);",
"const double tmp137 = w15*(A_{0}0{1}2[0] + A_{0}0{1}2[2] + A_{0}2{1}0[5] + A_{0}2{1}0[7]);",
"const double tmp138 = w16*(A_{0}0{1}1[0] + A_{0}0{1}1[4] + A_{0}1{1}0[3] + A_{0}1{1}0[7]);",
"const double tmp139 = w5*(A_{0}0{1}2[5] + A_{0}0{1}2[7] + A_{0}2{1}0[0] + A_{0}2{1}0[2]);",
"const double tmp140 = w18*(A_{0}1{1}2[5] - A_{0}2{1}1[1]);",
"const double tmp141 = w14*(A_{0}0{1}0[0] + A_{0}0{1}0[1] + A_{0}0{1}0[4] + A_{0}0{1}0[5]);",
"const double tmp142 = w7*(A_{0}2{1}2[2] + A_{0}2{1}2[6]);",
"const double tmp143 = w1*(-A_{0}0{1}1[2] - A_{0}0{1}1[6] - A_{0}1{1}0[2] - A_{0}1{1}0[6]);",
"const double tmp144 = w4*(-A_{0}1{1}2[2] + A_{0}2{1}1[6]);",
"const double tmp145 = w15*(-A_{0}0{1}2[1] - A_{0}0{1}2[4] + A_{0}2{1}0[0] + A_{0}2{1}0[5]);",
"const double tmp146 = w0*(A_{0}0{1}0[2] + A_{0}0{1}0[3] + A_{0}0{1}0[6] + A_{0}0{1}0[7]);",
"const double tmp147 = w16*(-A_{0}0{1}1[1] - A_{0}0{1}1[5] - A_{0}1{1}0[1] - A_{0}1{1}0[5]);",
"const double tmp148 = w5*(-A_{0}0{1}2[3] - A_{0}0{1}2[6] + A_{0}2{1}0[2] + A_{0}2{1}0[7]);",
"const double tmp149 = w19*(A_{0}2{1}2[1] + A_{0}2{1}2[5]);",
"const double tmp150 = w17*(-A_{0}0{1}2[5] + A_{0}2{1}0[1]);",
"const double tmp151 = w2*(A_{0}0{1}2[2] - A_{0}2{1}0[6]);",
"const double tmp152 = w18*(A_{0}1{1}2[3] - A_{0}2{1}1[7]);",
"const double tmp153 = w11*(A_{0}0{1}2[1] + A_{0}0{1}2[6] - A_{0}2{1}0[2] - A_{0}2{1}0[5]);",
"const double tmp154 = w10*(-A_{0}1{1}2[2] - A_{0}1{1}2[5] + A_{0}2{1}1[1] + A_{0}2{1}1[6]);",
"const double tmp155 = w4*(-A_{0}1{1}2[4] + A_{0}2{1}1[0]);",
"const double tmp156 = w15*(A_{0}0{1}2[2] + A_{0}0{1}2[7] - A_{0}2{1}0[3] - A_{0}2{1}0[6]);",
"const double tmp157 = w5*(A_{0}0{1}2[0] + A_{0}0{1}2[5] - A_{0}2{1}0[1] - A_{0}2{1}0[4]);",
"const double tmp158 = w17*(A_{0}0{1}2[3] - A_{0}2{1}0[7]);",
"const double tmp159 = w2*(-A_{0}0{1}2[4] + A_{0}2{1}0[0]);",
"const double tmp160 = w6*(A_{0}1{1}2[6] + A_{0}1{1}2[7] + A_{0}2{1}1[0] + A_{0}2{1}1[1]);",
"const double tmp161 = w10*(-A_{0}1{1}2[2] - A_{0}1{1}2[3] - A_{0}1{1}2[4] - A_{0}1{1}2[5] - A_{0}2{1}1[2] - A_{0}2{1}1[3] - A_{0}2{1}1[4] - A_{0}2{1}1[5]);",
"const double tmp162 = w1*(A_{0}0{1}1[0] + A_{0}0{1}1[4] + A_{0}1{1}0[3] + A_{0}1{1}0[7]);",
"const double tmp163 = w16*(A_{0}0{1}1[3] + A_{0}0{1}1[7] + A_{0}1{1}0[0] + A_{0}1{1}0[4]);",
"const double tmp164 = w12*(A_{0}1{1}2[0] + A_{0}1{1}2[1] + A_{0}2{1}1[6] + A_{0}2{1}1[7]);",
"const double tmp165 = w20*(A_{0}0{1}1[6] + A_{0}1{1}0[5]);",
"const double tmp166 = w10*(-A_{0}1{1}2[0] - A_{0}1{1}2[1] - A_{0}1{1}2[6] - A_{0}1{1}2[7] + A_{0}2{1}1[2] + A_{0}2{1}1[3] + A_{0}2{1}1[4] + A_{0}2{1}1[5]);",
"const double tmp167 = w15*(A_{0}0{1}2[1] + A_{0}0{1}2[3] - A_{0}2{1}0[0] - A_{0}2{1}0[2]);",
"const double tmp168 = w21*(A_{0}0{1}1[1] + A_{0}1{1}0[2]);",
"const double tmp169 = w12*(A_{0}1{1}2[2] + A_{0}1{1}2[3] - A_{0}2{1}1[0] - A_{0}2{1}1[1]);",
"const double tmp170 = w5*(A_{0}0{1}2[4] + A_{0}0{1}2[6] - A_{0}2{1}0[5] - A_{0}2{1}0[7]);",
"const double tmp171 = w8*(-A_{0}0{1}1[2] - A_{0}0{1}1[5] - A_{0}1{1}0[1] - A_{0}1{1}0[6]);",
"const double tmp172 = w6*(A_{0}1{1}2[4] + A_{0}1{1}2[5] - A_{0}2{1}1[6] - A_{0}2{1}1[7]);",
"const double tmp173 = w2*(A_{0}0{1}2[1] + A_{0}2{1}0[4]);",
"const double tmp174 = w11*(-A_{0}0{1}2[3] - A_{0}0{1}2[4] - A_{0}2{1}0[1] - A_{0}2{1}0[6]);",
"const double tmp175 = w14*(-A_{0}0{1}0[2] - A_{0}0{1}0[3] - A_{0}0{1}0[6] - A_{0}0{1}0[7]);",
"const double tmp176 = w22*(-A_{0}1{1}1[0] - A_{0}1{1}1[1] - A_{0}1{1}1[2] - A_{0}1{1}1[3] - A_{0}1{1}1[4] - A_{0}1{1}1[5] - A_{0}1{1}1[6] - A_{0}1{1}1[7]);",
"const double tmp177 = w1*(A_{0}0{1}1[1] + A_{0}0{1}1[5] - A_{0}1{1}0[0] - A_{0}1{1}0[4]);",
"const double tmp178 = w25*(-A_{0}2{1}2[2] - A_{0}2{1}2[3] - A_{0}2{1}2[6] - A_{0}2{1}2[7]);",
"const double tmp179 = w15*(-A_{0}0{1}2[2] - A_{0}0{1}2[7] - A_{0}2{1}0[2] - A_{0}2{1}0[7]);",
"const double tmp180 = w0*(-A_{0}0{1}0[0] - A_{0}0{1}0[1] - A_{0}0{1}0[4] - A_{0}0{1}0[5]);",
"const double tmp181 = w16*(A_{0}0{1}1[2] + A_{0}0{1}1[6] - A_{0}1{1}0[3] - A_{0}1{1}0[7]);",
"const double tmp182 = w12*(-A_{0}1{1}2[6] - A_{0}1{1}2[7] + A_{0}2{1}1[2] + A_{0}2{1}1[3]);",
"const double tmp183 = w5*(-A_{0}0{1}2[0] - A_{0}0{1}2[5] - A_{0}2{1}0[0] - A_{0}2{1}0[5]);",
"const double tmp184 = w8*(A_{0}0{1}1[0] + A_{0}0{1}1[3] + A_{0}0{1}1[4] + A_{0}0{1}1[7] - A_{0}1{1}0[1] - A_{0}1{1}0[2] - A_{0}1{1}0[5] - A_{0}1{1}0[6]);",
"const double tmp185 = w6*(-A_{0}1{1}2[0] - A_{0}1{1}2[1] + A_{0}2{1}1[4] + A_{0}2{1}1[5]);",
"const double tmp186 = w17*(-A_{0}0{1}2[6] - A_{0}2{1}0[3]);",
"const double tmp187 = w23*(-A_{0}2{1}2[0] - A_{0}2{1}2[1] - A_{0}2{1}2[4] - A_{0}2{1}2[5]);",
"const double tmp188 = w18*(A_{0}1{1}2[4] - A_{0}2{1}1[0]);",
"const double tmp189 = w7*(A_{0}2{1}2[3] + A_{0}2{1}2[7]);",
"const double tmp190 = w1*(A_{0}0{1}1[3] + A_{0}0{1}1[7] + A_{0}1{1}0[3] + A_{0}1{1}0[7]);",
"const double tmp191 = w4*(-A_{0}1{1}2[3] + A_{0}2{1}1[7]);",
"const double tmp192 = w16*(A_{0}0{1}1[0] + A_{0}0{1}1[4] + A_{0}1{1}0[0] + A_{0}1{1}0[4]);",
"const double tmp193 = w19*(A_{0}2{1}2[0] + A_{0}2{1}2[4]);",
"const double tmp194 = w17*(A_{0}0{1}2[4] - A_{0}2{1}0[0]);",
"const double tmp195 = w2*(-A_{0}0{1}2[3] + A_{0}2{1}0[7]);",
"const double tmp196 = w20*(-A_{0}0{1}1[7] - A_{0}1{1}0[4]);",
"const double tmp197 = w21*(-A_{0}0{1}1[0] - A_{0}1{1}0[3]);",
"const double tmp198 = w16*(A_{0}0{1}1[1] + A_{0}0{1}1[2] + A_{0}1{1}0[1] + A_{0}1{1}0[2]);",
"const double tmp199 = w8*(A_{0}0{1}1[3] + A_{0}0{1}1[4] + A_{0}1{1}0[0] + A_{0}1{1}0[7]);",
"const double tmp200 = w1*(A_{0}0{1}1[5] + A_{0}0{1}1[6] + A_{0}1{1}0[5] + A_{0}1{1}0[6]);",
"const double tmp201 = w27*(A_{0}0{1}0[2] + A_{0}0{1}0[3] + A_{0}0{1}0[4] + A_{0}0{1}0[5]);",
"const double tmp202 = w11*(-A_{0}0{1}2[2] - A_{0}0{1}2[5] + A_{0}2{1}0[3] + A_{0}2{1}0[4]);",
"const double tmp203 = w20*(A_{0}0{1}1[0] - A_{0}1{1}0[1]);",
"const double tmp204 = w23*(A_{0}2{1}2[0] + A_{0}2{1}2[1] + A_{0}2{1}2[4] + A_{0}2{1}2[5]);",
"const double tmp205 = w25*(A_{0}2{1}2[2] + A_{0}2{1}2[3] + A_{0}2{1}2[6] + A_{0}2{1}2[7]);",
"const double tmp206 = w21*(A_{0}0{1}1[7] - A_{0}1{1}0[6]);",
"const double tmp207 = w12*(A_{0}1{1}2[6] + A_{0}1{1}2[7] + A_{0}2{1}1[6] + A_{0}2{1}1[7]);",
"const double tmp208 = w28*(A_{0}0{1}0[0] + A_{0}0{1}0[1]);",
"const double tmp209 = w29*(A_{0}0{1}0[6] + A_{0}0{1}0[7]);",
"const double tmp210 = w8*(-A_{0}0{1}1[3] - A_{0}0{1}1[4] + A_{0}1{1}0[2] + A_{0}1{1}0[5]);",
"const double tmp211 = w6*(A_{0}1{1}2[0] + A_{0}1{1}2[1] + A_{0}2{1}1[0] + A_{0}2{1}1[1]);",
"const double tmp212 = w17*(-A_{0}0{1}2[7] + A_{0}2{1}0[6]);",
"const double tmp213 = w2*(A_{0}0{1}2[0] - A_{0}2{1}0[1]);",
"const double tmp214 = w13*(-A_{0}2{1}2[1] - A_{0}2{1}2[2] - A_{0}2{1}2[5] - A_{0}2{1}2[6]);",
"const double tmp215 = w22*(-A_{0}1{1}1[0] - A_{0}1{1}1[2] - A_{0}1{1}1[5] - A_{0}1{1}1[7]);",
"const double tmp216 = w8*(A_{0}0{1}1[0] + A_{0}0{1}1[7] + A_{0}1{1}0[0] + A_{0}1{1}0[7]);",
"const double tmp217 = w27*(-A_{0}0{1}0[0] - A_{0}0{1}0[1] - A_{0}0{1}0[6] - A_{0}0{1}0[7]);",
"const double tmp218 = w17*(-A_{0}0{1}2[3] - A_{0}2{1}0[3]);",
"const double tmp219 = w2*(A_{0}0{1}2[4] + A_{0}2{1}0[4]);",
"const double tmp220 = w11*(-A_{0}0{1}2[1] - A_{0}0{1}2[6] - A_{0}2{1}0[1] - A_{0}2{1}0[6]);",
"const double tmp221 = w26*(-A_{0}1{1}1[4] - A_{0}1{1}1[6]);",
"const double tmp222 = w10*(A_{0}1{1}2[2] + A_{0}1{1}2[5] + A_{0}2{1}1[2] + A_{0}2{1}1[5]);",
"const double tmp223 = w20*(-A_{0}0{1}1[4] - A_{0}1{1}0[4]);",
"const double tmp224 = w21*(-A_{0}0{1}1[3] - A_{0}1{1}0[3]);",
"const double tmp225 = w6*(-A_{0}1{1}2[0] - A_{0}1{1}2[6] - A_{0}2{1}1[0] - A_{0}2{1}1[6]);",
"const double tmp226 = w7*(-A_{0}2{1}2[0] - A_{0}2{1}2[4]);",
"const double tmp227 = w24*(-A_{0}1{1}1[1] - A_{0}1{1}1[3]);",
"const double tmp228 = w19*(-A_{0}2{1}2[3] - A_{0}2{1}2[7]);",
"const double tmp229 = w18*(-A_{0}1{1}2[3] - A_{0}2{1}1[3]);",
"const double tmp230 = w4*(A_{0}1{1}2[4] + A_{0}2{1}1[4]);",
"const double tmp231 = w28*(-A_{0}0{1}0[4] - A_{0}0{1}0[5]);",
"const double tmp232 = w12*(-A_{0}1{1}2[1] - A_{0}1{1}2[7] - A_{0}2{1}1[1] - A_{0}2{1}1[7]);",
"const double tmp233 = w29*(-A_{0}0{1}0[2] - A_{0}0{1}0[3]);",
"const double tmp234 = w20*(-A_{0}0{1}1[5] + A_{0}1{1}0[7]);",
"const double tmp235 = w18*(-A_{0}1{1}2[0] + A_{0}2{1}1[2]);",
"const double tmp236 = w26*(A_{0}1{1}1[5] + A_{0}1{1}1[7]);",
"const double tmp237 = w10*(A_{0}1{1}2[1] + A_{0}1{1}2[6] - A_{0}2{1}1[3] - A_{0}2{1}1[4]);",
"const double tmp238 = w22*(A_{0}1{1}1[1] + A_{0}1{1}1[3] + A_{0}1{1}1[4] + A_{0}1{1}1[6]);",
"const double tmp239 = w4*(A_{0}1{1}2[7] - A_{0}2{1}1[5]);",
"const double tmp240 = w15*(A_{0}0{1}2[0] + A_{0}0{1}2[2] + A_{0}2{1}0[0] + A_{0}2{1}0[2]);",
"const double tmp241 = w21*(-A_{0}0{1}1[2] + A_{0}1{1}0[0]);",
"const double tmp242 = w5*(A_{0}0{1}2[5] + A_{0}0{1}2[7] + A_{0}2{1}0[5] + A_{0}2{1}0[7]);",
"const double tmp243 = w12*(-A_{0}1{1}2[2] - A_{0}1{1}2[4] + A_{0}2{1}1[0] + A_{0}2{1}1[6]);",
"const double tmp244 = w24*(A_{0}1{1}1[0] + A_{0}1{1}1[2]);",
"const double tmp245 = w8*(A_{0}0{1}1[1] + A_{0}0{1}1[6] - A_{0}1{1}0[3] - A_{0}1{1}0[4]);",
"const double tmp246 = w6*(-A_{0}1{1}2[3] - A_{0}1{1}2[5] + A_{0}2{1}1[1] + A_{0}2{1}1[7]);",
"const double tmp247 = w11*(A_{0}0{1}2[3] + A_{0}0{1}2[4] - A_{0}2{1}0[2] - A_{0}2{1}0[5]);",
"const double tmp248 = w20*(-A_{0}0{1}1[1] + A_{0}1{1}0[0]);",
"const double tmp249 = w21*(-A_{0}0{1}1[6] + A_{0}1{1}0[7]);",
"const double tmp250 = w8*(A_{0}0{1}1[2] + A_{0}0{1}1[5] - A_{0}1{1}0[3] - A_{0}1{1}0[4]);",
"const double tmp251 = w17*(A_{0}0{1}2[6] - A_{0}2{1}0[7]);",
"const double tmp252 = w2*(-A_{0}0{1}2[1] + A_{0}2{1}0[0]);",
"const double tmp253 = w17*(-A_{0}0{1}2[4] - A_{0}2{1}0[4]);",
"const double tmp254 = w2*(A_{0}0{1}2[3] + A_{0}2{1}0[3]);",
"const double tmp255 = w26*(-A_{0}1{1}1[1] - A_{0}1{1}1[3]);",
"const double tmp256 = w20*(-A_{0}0{1}1[3] - A_{0}1{1}0[3]);",
"const double tmp257 = w21*(-A_{0}0{1}1[4] - A_{0}1{1}0[4]);",
"const double tmp258 = w6*(-A_{0}1{1}2[1] - A_{0}1{1}2[7] - A_{0}2{1}1[1] - A_{0}2{1}1[7]);",
"const double tmp259 = w7*(-A_{0}2{1}2[3] - A_{0}2{1}2[7]);",
"const double tmp260 = w15*(-A_{0}0{1}2[0] - A_{0}0{1}2[5] - A_{0}2{1}0[0] - A_{0}2{1}0[5]);",
"const double tmp261 = w24*(-A_{0}1{1}1[4] - A_{0}1{1}1[6]);",
"const double tmp262 = w19*(-A_{0}2{1}2[0] - A_{0}2{1}2[4]);",
"const double tmp263 = w18*(-A_{0}1{1}2[4] - A_{0}2{1}1[4]);",
"const double tmp264 = w4*(A_{0}1{1}2[3] + A_{0}2{1}1[3]);",
"const double tmp265 = w28*(-A_{0}0{1}0[2] - A_{0}0{1}0[3]);",
"const double tmp266 = w12*(-A_{0}1{1}2[0] - A_{0}1{1}2[6] - A_{0}2{1}1[0] - A_{0}2{1}1[6]);",
"const double tmp267 = w5*(-A_{0}0{1}2[2] - A_{0}0{1}2[7] - A_{0}2{1}0[2] - A_{0}2{1}0[7]);",
"const double tmp268 = w29*(-A_{0}0{1}0[4] - A_{0}0{1}0[5]);",
"const double tmp269 = w11*(A_{0}0{1}2[2] + A_{0}0{1}2[5] + A_{0}2{1}0[0] + A_{0}2{1}0[7]);",
"const double tmp270 = w1*(-A_{0}0{1}1[0] - A_{0}0{1}1[4] + A_{0}1{1}0[1] + A_{0}1{1}0[5]);",
"const double tmp271 = w15*(A_{0}0{1}2[3] + A_{0}0{1}2[6] + A_{0}2{1}0[3] + A_{0}2{1}0[6]);",
"const double tmp272 = w16*(-A_{0}0{1}1[3] - A_{0}0{1}1[7] + A_{0}1{1}0[2] + A_{0}1{1}0[6]);",
"const double tmp273 = w5*(A_{0}0{1}2[1] + A_{0}0{1}2[4] + A_{0}2{1}0[1] + A_{0}2{1}0[4]);",
"const double tmp274 = w8*(-A_{0}0{1}1[1] - A_{0}0{1}1[2] - A_{0}0{1}1[5] - A_{0}0{1}1[6] + A_{0}1{1}0[0] + A_{0}1{1}0[3] + A_{0}1{1}0[4] + A_{0}1{1}0[7]);",
"const double tmp275 = w17*(A_{0}0{1}2[7] + A_{0}2{1}0[2]);",
"const double tmp276 = w2*(-A_{0}0{1}2[0] - A_{0}2{1}0[5]);",
"const double tmp277 = w18*(-A_{0}1{1}2[1] + A_{0}2{1}1[5]);",
"const double tmp278 = w11*(A_{0}0{1}2[3] + A_{0}0{1}2[4] - A_{0}2{1}0[0] - A_{0}2{1}0[7]);",
"const double tmp279 = w10*(A_{0}1{1}2[0] + A_{0}1{1}2[7] - A_{0}2{1}1[3] - A_{0}2{1}1[4]);",
"const double tmp280 = w4*(A_{0}1{1}2[6] - A_{0}2{1}1[2]);",
"const double tmp281 = w17*(A_{0}0{1}2[1] - A_{0}2{1}0[5]);",
"const double tmp282 = w2*(-A_{0}0{1}2[6] + A_{0}2{1}0[2]);",
"const double tmp283 = w11*(A_{0}0{1}2[0] + A_{0}0{1}2[7] + A_{0}2{1}0[2] + A_{0}2{1}0[5]);",
"const double tmp284 = w12*(A_{0}1{1}2[2] + A_{0}1{1}2[3] - A_{0}2{1}1[6] - A_{0}2{1}1[7]);",
"const double tmp285 = w6*(A_{0}1{1}2[4] + A_{0}1{1}2[5] - A_{0}2{1}1[0] - A_{0}2{1}1[1]);",
"const double tmp286 = w17*(A_{0}0{1}2[2] + A_{0}2{1}0[7]);",
"const double tmp287 = w2*(-A_{0}0{1}2[5] - A_{0}2{1}0[0]);",
"const double tmp288 = w13*(-A_{0}2{1}2[0] - A_{0}2{1}2[3] - A_{0}2{1}2[4] - A_{0}2{1}2[7]);",
"const double tmp289 = w22*(-A_{0}1{1}1[1] - A_{0}1{1}1[3] - A_{0}1{1}1[4] - A_{0}1{1}1[6]);",
"const double tmp290 = w8*(-A_{0}0{1}1[1] - A_{0}0{1}1[6] - A_{0}1{1}0[1] - A_{0}1{1}0[6]);",
"const double tmp291 = w17*(A_{0}0{1}2[2] + A_{0}2{1}0[2]);",
"const double tmp292 = w2*(-A_{0}0{1}2[5] - A_{0}2{1}0[5]);",
"const double tmp293 = w11*(A_{0}0{1}2[0] + A_{0}0{1}2[7] + A_{0}2{1}0[0] + A_{0}2{1}0[7]);",
"const double tmp294 = w26*(-A_{0}1{1}1[5] - A_{0}1{1}1[7]);",
"const double tmp295 = w10*(A_{0}1{1}2[3] + A_{0}1{1}2[4] + A_{0}2{1}1[3] + A_{0}2{1}1[4]);",
"const double tmp296 = w20*(A_{0}0{1}1[5] + A_{0}1{1}0[5]);",
"const double tmp297 = w21*(A_{0}0{1}1[2] + A_{0}1{1}0[2]);",
"const double tmp298 = w7*(-A_{0}2{1}2[1] - A_{0}2{1}2[5]);",
"const double tmp299 = w24*(-A_{0}1{1}1[0] - A_{0}1{1}1[2]);",
"const double tmp300 = w19*(-A_{0}2{1}2[2] - A_{0}2{1}2[6]);",
"const double tmp301 = w18*(-A_{0}1{1}2[2] - A_{0}2{1}1[2]);",
"const double tmp302 = w4*(A_{0}1{1}2[5] + A_{0}2{1}1[5]);",
"const double tmp303 = w8*(A_{0}0{1}1[3] + A_{0}0{1}1[4] + A_{0}1{1}0[3] + A_{0}1{1}0[4]);",
"const double tmp304 = w27*(-A_{0}0{1}0[2] - A_{0}0{1}0[3] - A_{0}0{1}0[4] - A_{0}0{1}0[5]);",
"const double tmp305 = w17*(A_{0}0{1}2[7] + A_{0}2{1}0[7]);",
"const double tmp306 = w2*(-A_{0}0{1}2[0] - A_{0}2{1}0[0]);",
"const double tmp307 = w11*(A_{0}0{1}2[2] + A_{0}0{1}2[5] + A_{0}2{1}0[2] + A_{0}2{1}0[5]);",
"const double tmp308 = w26*(-A_{0}1{1}1[0] - A_{0}1{1}1[2]);",
"const double tmp309 = w10*(-A_{0}1{1}2[1] - A_{0}1{1}2[6] - A_{0}2{1}1[1] - A_{0}2{1}1[6]);",
"const double tmp310 = w20*(-A_{0}0{1}1[0] - A_{0}1{1}0[0]);",
"const double tmp311 = w21*(-A_{0}0{1}1[7] - A_{0}1{1}0[7]);",
"const double tmp312 = w6*(A_{0}1{1}2[2] + A_{0}1{1}2[4] + A_{0}2{1}1[2] + A_{0}2{1}1[4]);",
"const double tmp313 = w24*(-A_{0}1{1}1[5] - A_{0}1{1}1[7]);",
"const double tmp314 = w18*(A_{0}1{1}2[7] + A_{0}2{1}1[7]);",
"const double tmp315 = w4*(-A_{0}1{1}2[0] - A_{0}2{1}1[0]);",
"const double tmp316 = w28*(-A_{0}0{1}0[0] - A_{0}0{1}0[1]);",
"const double tmp317 = w12*(A_{0}1{1}2[3] + A_{0}1{1}2[5] + A_{0}2{1}1[3] + A_{0}2{1}1[5]);",
"const double tmp318 = w29*(-A_{0}0{1}0[6] - A_{0}0{1}0[7]);",
"const double tmp319 = w18*(-A_{0}1{1}2[7] + A_{0}2{1}1[5]);",
"const double tmp320 = w26*(A_{0}1{1}1[0] + A_{0}1{1}1[2]);",
"const double tmp321 = w21*(-A_{0}0{1}1[5] + A_{0}1{1}0[7]);",
"const double tmp322 = w20*(-A_{0}0{1}1[2] + A_{0}1{1}0[0]);",
"const double tmp323 = w4*(A_{0}1{1}2[0] - A_{0}2{1}1[2]);",
"const double tmp324 = w15*(A_{0}0{1}2[5] + A_{0}0{1}2[7] + A_{0}2{1}0[5] + A_{0}2{1}0[7]);",
"const double tmp325 = w24*(A_{0}1{1}1[5] + A_{0}1{1}1[7]);",
"const double tmp326 = w5*(A_{0}0{1}2[0] + A_{0}0{1}2[2] + A_{0}2{1}0[0] + A_{0}2{1}0[2]);",
"const double tmp327 = w18*(A_{0}1{1}2[7] + A_{0}2{1}1[1]);",
"const double tmp328 = w10*(-A_{0}1{1}2[1] - A_{0}1{1}2[6] - A_{0}2{1}1[0] - A_{0}2{1}1[7]);",
"const double tmp329 = w3*(-A_{0}1{1}1[0] - A_{0}1{1}1[2] - A_{0}1{1}1[4] - A_{0}1{1}1[6]);",
"const double tmp330 = w1*(A_{0}0{1}1[2] + A_{0}0{1}1[6] - A_{0}1{1}0[0] - A_{0}1{1}0[4]);",
"const double tmp331 = w4*(-A_{0}1{1}2[0] - A_{0}2{1}1[6]);",
"const double tmp332 = w25*(-A_{0}2{1}2[1] - A_{0}2{1}2[3] - A_{0}2{1}2[5] - A_{0}2{1}2[7]);",
"const double tmp333 = w15*(-A_{0}0{1}2[5] - A_{0}0{1}2[7] + A_{0}2{1}0[1] + A_{0}2{1}0[3]);",
"const double tmp334 = w16*(A_{0}0{1}1[1] + A_{0}0{1}1[5] - A_{0}1{1}0[3] - A_{0}1{1}0[7]);",
"const double tmp335 = w9*(-A_{0}1{1}1[1] - A_{0}1{1}1[3] - A_{0}1{1}1[5] - A_{0}1{1}1[7]);",
"const double tmp336 = w5*(-A_{0}0{1}2[0] - A_{0}0{1}2[2] + A_{0}2{1}0[4] + A_{0}2{1}0[6]);",
"const double tmp337 = w27*(-A_{0}0{1}0[0] - A_{0}0{1}0[1] - A_{0}0{1}0[2] - A_{0}0{1}0[3] - A_{0}0{1}0[4] - A_{0}0{1}0[5] - A_{0}0{1}0[6] - A_{0}0{1}0[7]);",
"const double tmp338 = w23*(-A_{0}2{1}2[0] - A_{0}2{1}2[2] - A_{0}2{1}2[4] - A_{0}2{1}2[6]);",
"const double tmp339 = w14*(-A_{0}0{1}0[0] - A_{0}0{1}0[1] - A_{0}0{1}0[4] - A_{0}0{1}0[5]);",
"const double tmp340 = w23*(-A_{0}2{1}2[2] - A_{0}2{1}2[3] - A_{0}2{1}2[6] - A_{0}2{1}2[7]);",
"const double tmp341 = w1*(A_{0}0{1}1[2] + A_{0}0{1}1[6] - A_{0}1{1}0[3] - A_{0}1{1}0[7]);",
"const double tmp342 = w25*(-A_{0}2{1}2[0] - A_{0}2{1}2[1] - A_{0}2{1}2[4] - A_{0}2{1}2[5]);",
"const double tmp343 = w15*(A_{0}0{1}2[1] + A_{0}0{1}2[4] + A_{0}2{1}0[1] + A_{0}2{1}0[4]);",
"const double tmp344 = w0*(-A_{0}0{1}0[2] - A_{0}0{1}0[3] - A_{0}0{1}0[6] - A_{0}0{1}0[7]);",
"const double tmp345 = w16*(A_{0}0{1}1[1] + A_{0}0{1}1[5] - A_{0}1{1}0[0] - A_{0}1{1}0[4]);",
"const double tmp346 = w12*(A_{0}1{1}2[4] + A_{0}1{1}2[5] - A_{0}2{1}1[0] - A_{0}2{1}1[1]);",
"const double tmp347 = w5*(A_{0}0{1}2[3] + A_{0}0{1}2[6] + A_{0}2{1}0[3] + A_{0}2{1}0[6]);",
"const double tmp348 = w6*(A_{0}1{1}2[2] + A_{0}1{1}2[3] - A_{0}2{1}1[6] - A_{0}2{1}1[7]);",
"const double tmp349 = w17*(A_{0}0{1}2[5] + A_{0}2{1}0[0]);",
"const double tmp350 = w2*(-A_{0}0{1}2[2] - A_{0}2{1}0[7]);",
"const double tmp351 = w8*(-A_{0}0{1}1[2] - A_{0}0{1}1[5] - A_{0}1{1}0[2] - A_{0}1{1}0[5]);",
"const double tmp352 = w17*(-A_{0}0{1}2[1] - A_{0}2{1}0[1]);",
"const double tmp353 = w2*(A_{0}0{1}2[6] + A_{0}2{1}0[6]);",
"const double tmp354 = w11*(-A_{0}0{1}2[3] - A_{0}0{1}2[4] - A_{0}2{1}0[3] - A_{0}2{1}0[4]);",
"const double tmp355 = w10*(-A_{0}1{1}2[0] - A_{0}1{1}2[7] - A_{0}2{1}1[0] - A_{0}2{1}1[7]);",
"const double tmp356 = w20*(A_{0}0{1}1[6] + A_{0}1{1}0[6]);",
"const double tmp357 = w21*(A_{0}0{1}1[1] + A_{0}1{1}0[1]);",
"const double tmp358 = w7*(-A_{0}2{1}2[2] - A_{0}2{1}2[6]);",
"const double tmp359 = w19*(-A_{0}2{1}2[1] - A_{0}2{1}2[5]);",
"const double tmp360 = w18*(A_{0}1{1}2[1] + A_{0}2{1}1[1]);",
"const double tmp361 = w4*(-A_{0}1{1}2[6] - A_{0}2{1}1[6]);",
"const double tmp362 = w28*(-A_{0}0{1}0[6] - A_{0}0{1}0[7]);",
"const double tmp363 = w29*(-A_{0}0{1}0[0] - A_{0}0{1}0[1]);",
"const double tmp364 = w2*(A_{0}0{1}2[4] + A_{0}2{1}0[1]);",
"const double tmp365 = w11*(-A_{0}0{1}2[1] - A_{0}0{1}2[6] - A_{0}2{1}0[3] - A_{0}2{1}0[4]);",
"const double tmp366 = w17*(-A_{0}0{1}2[3] - A_{0}2{1}0[6]);",
"const double tmp367 = w2*(A_{0}0{1}2[5] - A_{0}2{1}0[4]);",
"const double tmp368 = w6*(-A_{0}1{1}2[4] - A_{0}1{1}2[5] - A_{0}2{1}1[4] - A_{0}2{1}1[5]);",
"const double tmp369 = w11*(-A_{0}0{1}2[0] - A_{0}0{1}2[7] + A_{0}2{1}0[1] + A_{0}2{1}0[6]);",
"const double tmp370 = w20*(-A_{0}0{1}1[5] + A_{0}1{1}0[4]);",
"const double tmp371 = w3*(A_{0}1{1}1[4] + A_{0}1{1}1[5] + A_{0}1{1}1[6] + A_{0}1{1}1[7]);",
"const double tmp372 = w12*(-A_{0}1{1}2[2] - A_{0}1{1}2[3] - A_{0}2{1}1[2] - A_{0}2{1}1[3]);",
"const double tmp373 = w21*(-A_{0}0{1}1[2] + A_{0}1{1}0[3]);",
"const double tmp374 = w9*(A_{0}1{1}1[0] + A_{0}1{1}1[1] + A_{0}1{1}1[2] + A_{0}1{1}1[3]);",
"const double tmp375 = w29*(A_{0}0{1}0[2] + A_{0}0{1}0[3]);",
"const double tmp376 = w8*(A_{0}0{1}1[1] + A_{0}0{1}1[6] - A_{0}1{1}0[0] - A_{0}1{1}0[7]);",
"const double tmp377 = w28*(A_{0}0{1}0[4] + A_{0}0{1}0[5]);",
"const double tmp378 = w17*(-A_{0}0{1}2[2] + A_{0}2{1}0[3]);",
"const double tmp379 = w17*(A_{0}0{1}2[0] + A_{0}2{1}0[0]);",
"const double tmp380 = w2*(-A_{0}0{1}2[7] - A_{0}2{1}0[7]);",
"const double tmp381 = w20*(-A_{0}0{1}1[7] - A_{0}1{1}0[7]);",
"const double tmp382 = w21*(-A_{0}0{1}1[0] - A_{0}1{1}0[0]);",
"const double tmp383 = w6*(A_{0}1{1}2[3] + A_{0}1{1}2[5] + A_{0}2{1}1[3] + A_{0}2{1}1[5]);",
"const double tmp384 = w18*(A_{0}1{1}2[0] + A_{0}2{1}1[0]);",
"const double tmp385 = w4*(-A_{0}1{1}2[7] - A_{0}2{1}1[7]);",
"const double tmp386 = w12*(A_{0}1{1}2[2] + A_{0}1{1}2[4] + A_{0}2{1}1[2] + A_{0}2{1}1[4]);",
"const double tmp387 = w17*(-A_{0}0{1}2[6] - A_{0}2{1}0[6]);",
"const double tmp388 = w2*(A_{0}0{1}2[1] + A_{0}2{1}0[1]);",
"const double tmp389 = w20*(A_{0}0{1}1[1] + A_{0}1{1}0[1]);",
"const double tmp390 = w21*(A_{0}0{1}1[6] + A_{0}1{1}0[6]);",
"const double tmp391 = w18*(A_{0}1{1}2[6] + A_{0}2{1}1[6]);",
"const double tmp392 = w4*(-A_{0}1{1}2[1] - A_{0}2{1}1[1]);",
"const double tmp393 = w2*(A_{0}0{1}2[3] + A_{0}2{1}0[6]);",
"const double tmp394 = w1*(-A_{0}0{1}1[3] - A_{0}0{1}1[7] + A_{0}1{1}0[2] + A_{0}1{1}0[6]);",
"const double tmp395 = w16*(-A_{0}0{1}1[0] - A_{0}0{1}1[4] + A_{0}1{1}0[1] + A_{0}1{1}0[5]);",
"const double tmp396 = w17*(-A_{0}0{1}2[4] - A_{0}2{1}0[1]);",
"const double tmp397 = w18*(-A_{0}1{1}2[5] - A_{0}2{1}1[3]);",
"const double tmp398 = w10*(A_{0}1{1}2[3] + A_{0}1{1}2[4] + A_{0}2{1}1[2] + A_{0}2{1}1[5]);",
"const double tmp399 = w1*(-A_{0}0{1}1[0] - A_{0}0{1}1[4] + A_{0}1{1}0[2] + A_{0}1{1}0[6]);",
"const double tmp400 = w4*(A_{0}1{1}2[2] + A_{0}2{1}1[4]);",
"const double tmp401 = w16*(-A_{0}0{1}1[3] - A_{0}0{1}1[7] + A_{0}1{1}0[1] + A_{0}1{1}0[5]);",
"const double tmp402 = w20*(-A_{0}0{1}1[2] + A_{0}1{1}0[3]);",
"const double tmp403 = w21*(-A_{0}0{1}1[5] + A_{0}1{1}0[4]);",
"const double tmp404 = w17*(-A_{0}0{1}2[5] + A_{0}2{1}0[4]);",
"const double tmp405 = w2*(A_{0}0{1}2[2] - A_{0}2{1}0[3]);",
"const double tmp406 = w18*(-A_{0}1{1}2[0] + A_{0}2{1}1[4]);",
"const double tmp407 = w4*(A_{0}1{1}2[7] - A_{0}2{1}1[3]);",
"const double tmp408 = w17*(-A_{0}0{1}2[0] + A_{0}2{1}0[4]);",
"const double tmp409 = w2*(A_{0}0{1}2[7] - A_{0}2{1}0[3]);",
"const double tmp410 = w17*(A_{0}0{1}2[5] + A_{0}2{1}0[5]);",
"const double tmp411 = w2*(-A_{0}0{1}2[2] - A_{0}2{1}0[2]);",
"const double tmp412 = w20*(A_{0}0{1}1[2] + A_{0}1{1}0[2]);",
"const double tmp413 = w21*(A_{0}0{1}1[5] + A_{0}1{1}0[5]);",
"const double tmp414 = w18*(-A_{0}1{1}2[5] - A_{0}2{1}1[5]);",
"const double tmp415 = w4*(A_{0}1{1}2[2] + A_{0}2{1}1[2]);",
"const double tmp416 = w12*(-A_{0}1{1}2[0] - A_{0}1{1}2[1] + A_{0}2{1}1[4] + A_{0}2{1}1[5]);",
"const double tmp417 = w6*(-A_{0}1{1}2[6] - A_{0}1{1}2[7] + A_{0}2{1}1[2] + A_{0}2{1}1[3]);",
"const double tmp418 = w17*(A_{0}0{1}2[0] + A_{0}2{1}0[5]);",
"const double tmp419 = w2*(-A_{0}0{1}2[7] - A_{0}2{1}0[2]);",
"const double tmp420 = w18*(-A_{0}1{1}2[4] - A_{0}2{1}1[2]);",
"const double tmp421 = w10*(A_{0}1{1}2[2] + A_{0}1{1}2[5] + A_{0}2{1}1[3] + A_{0}2{1}1[4]);",
"const double tmp422 = w3*(-A_{0}1{1}1[1] - A_{0}1{1}1[3] - A_{0}1{1}1[5] - A_{0}1{1}1[7]);",
"const double tmp423 = w1*(A_{0}0{1}1[1] + A_{0}0{1}1[5] - A_{0}1{1}0[3] - A_{0}1{1}0[7]);",
"const double tmp424 = w25*(-A_{0}2{1}2[0] - A_{0}2{1}2[2] - A_{0}2{1}2[4] - A_{0}2{1}2[6]);",
"const double tmp425 = w4*(A_{0}1{1}2[3] + A_{0}2{1}1[5]);",
"const double tmp426 = w15*(A_{0}0{1}2[4] + A_{0}0{1}2[6] - A_{0}2{1}0[0] - A_{0}2{1}0[2]);",
"const double tmp427 = w16*(A_{0}0{1}1[2] + A_{0}0{1}1[6] - A_{0}1{1}0[0] - A_{0}1{1}0[4]);",
"const double tmp428 = w9*(-A_{0}1{1}1[0] - A_{0}1{1}1[2] - A_{0}1{1}1[4] - A_{0}1{1}1[6]);",
"const double tmp429 = w5*(A_{0}0{1}2[1] + A_{0}0{1}2[3] - A_{0}2{1}0[5] - A_{0}2{1}0[7]);",
"const double tmp430 = w23*(-A_{0}2{1}2[1] - A_{0}2{1}2[3] - A_{0}2{1}2[5] - A_{0}2{1}2[7]);",
"const double tmp431 = w18*(A_{0}1{1}2[5] - A_{0}2{1}1[7]);",
"const double tmp432 = w10*(-A_{0}1{1}2[3] - A_{0}1{1}2[4] + A_{0}2{1}1[1] + A_{0}2{1}1[6]);",
"const double tmp433 = w21*(A_{0}0{1}1[7] - A_{0}1{1}0[5]);",
"const double tmp434 = w20*(A_{0}0{1}1[0] - A_{0}1{1}0[2]);",
"const double tmp435 = w4*(-A_{0}1{1}2[2] + A_{0}2{1}1[0]);",
"const double tmp436 = w8*(-A_{0}0{1}1[3] - A_{0}0{1}1[4] + A_{0}1{1}0[1] + A_{0}1{1}0[6]);",
"const double tmp437 = w2*(-A_{0}0{1}2[4] + A_{0}2{1}0[5]);",
"const double tmp438 = w20*(A_{0}0{1}1[4] - A_{0}1{1}0[5]);",
"const double tmp439 = w21*(A_{0}0{1}1[3] - A_{0}1{1}0[2]);",
"const double tmp440 = w16*(-A_{0}0{1}1[1] - A_{0}0{1}1[2] + A_{0}1{1}0[0] + A_{0}1{1}0[3]);",
"const double tmp441 = w1*(-A_{0}0{1}1[5] - A_{0}0{1}1[6] + A_{0}1{1}0[4] + A_{0}1{1}0[7]);",
"const double tmp442 = w17*(A_{0}0{1}2[3] - A_{0}2{1}0[2]);",
"const double tmp443 = w20*(-A_{0}0{1}1[4] - A_{0}1{1}0[7]);",
"const double tmp444 = w21*(-A_{0}0{1}1[3] - A_{0}1{1}0[0]);",
"const double tmp445 = w18*(A_{0}1{1}2[6] + A_{0}2{1}1[0]);",
"const double tmp446 = w10*(-A_{0}1{1}2[0] - A_{0}1{1}2[7] - A_{0}2{1}1[1] - A_{0}2{1}1[6]);",
"const double tmp447 = w1*(-A_{0}0{1}1[3] - A_{0}0{1}1[7] + A_{0}1{1}0[1] + A_{0}1{1}0[5]);",
"const double tmp448 = w4*(-A_{0}1{1}2[1] - A_{0}2{1}1[7]);",
"const double tmp449 = w16*(-A_{0}0{1}1[0] - A_{0}0{1}1[4] + A_{0}1{1}0[2] + A_{0}1{1}0[6]);",
"const double tmp450 = w2*(A_{0}0{1}2[7] - A_{0}2{1}0[6]);",
"const double tmp451 = w6*(A_{0}1{1}2[6] + A_{0}1{1}2[7] + A_{0}2{1}1[6] + A_{0}2{1}1[7]);",
"const double tmp452 = w20*(A_{0}0{1}1[7] - A_{0}1{1}0[6]);",
"const double tmp453 = w21*(A_{0}0{1}1[0] - A_{0}1{1}0[1]);",
"const double tmp454 = w12*(A_{0}1{1}2[0] + A_{0}1{1}2[1] + A_{0}2{1}1[0] + A_{0}2{1}1[1]);",
"const double tmp455 = w29*(A_{0}0{1}0[0] + A_{0}0{1}0[1]);",
"const double tmp456 = w28*(A_{0}0{1}0[6] + A_{0}0{1}0[7]);",
"const double tmp457 = w17*(-A_{0}0{1}2[0] + A_{0}2{1}0[1]);",
"const double tmp458 = w21*(-A_{0}0{1}1[7] - A_{0}1{1}0[4]);",
"const double tmp459 = w20*(-A_{0}0{1}1[0] - A_{0}1{1}0[3]);",
"const double tmp460 = w12*(A_{0}1{1}2[4] + A_{0}1{1}2[5] - A_{0}2{1}1[6] - A_{0}2{1}1[7]);",
"const double tmp461 = w6*(A_{0}1{1}2[2] + A_{0}1{1}2[3] - A_{0}2{1}1[0] - A_{0}2{1}1[1]);",
"const double tmp462 = w18*(A_{0}1{1}2[1] + A_{0}2{1}1[7]);",
"const double tmp463 = w4*(-A_{0}1{1}2[6] - A_{0}2{1}1[0]);",
"const double tmp464 = w15*(A_{0}0{1}2[1] + A_{0}0{1}2[3] - A_{0}2{1}0[5] - A_{0}2{1}0[7]);",
"const double tmp465 = w5*(A_{0}0{1}2[4] + A_{0}0{1}2[6] - A_{0}2{1}0[0] - A_{0}2{1}0[2]);",
"const double tmp466 = w2*(-A_{0}0{1}2[6] + A_{0}2{1}0[7]);",
"const double tmp467 = w20*(-A_{0}0{1}1[6] + A_{0}1{1}0[7]);",
"const double tmp468 = w21*(-A_{0}0{1}1[1] + A_{0}1{1}0[0]);",
"const double tmp469 = w17*(A_{0}0{1}2[1] - A_{0}2{1}0[0]);",
"const double tmp470 = w6*(-A_{0}1{1}2[2] - A_{0}1{1}2[3] - A_{0}2{1}1[4] - A_{0}2{1}1[5]);",
"const double tmp471 = w1*(-A_{0}0{1}1[1] - A_{0}0{1}1[5] - A_{0}1{1}0[2] - A_{0}1{1}0[6]);",
"const double tmp472 = w15*(-A_{0}0{1}2[4] - A_{0}0{1}2[6] - A_{0}2{1}0[1] - A_{0}2{1}0[3]);",
"const double tmp473 = w16*(-A_{0}0{1}1[2] - A_{0}0{1}1[6] - A_{0}1{1}0[1] - A_{0}1{1}0[5]);",
"const double tmp474 = w12*(-A_{0}1{1}2[4] - A_{0}1{1}2[5] - A_{0}2{1}1[2] - A_{0}2{1}1[3]);",
"const double tmp475 = w5*(-A_{0}0{1}2[1] - A_{0}0{1}2[3] - A_{0}2{1}0[4] - A_{0}2{1}0[6]);",
"const double tmp476 = w18*(-A_{0}1{1}2[6] + A_{0}2{1}1[4]);",
"const double tmp477 = w20*(A_{0}0{1}1[3] - A_{0}1{1}0[1]);",
"const double tmp478 = w10*(A_{0}1{1}2[0] + A_{0}1{1}2[7] - A_{0}2{1}1[2] - A_{0}2{1}1[5]);",
"const double tmp479 = w4*(A_{0}1{1}2[1] - A_{0}2{1}1[3]);",
"const double tmp480 = w21*(A_{0}0{1}1[4] - A_{0}1{1}0[6]);",
"const double tmp481 = w8*(-A_{0}0{1}1[0] - A_{0}0{1}1[7] + A_{0}1{1}0[2] + A_{0}1{1}0[5]);",
"const double tmp482 = w6*(A_{0}1{1}2[0] + A_{0}1{1}2[1] + A_{0}2{1}1[6] + A_{0}2{1}1[7]);",
"const double tmp483 = w12*(A_{0}1{1}2[6] + A_{0}1{1}2[7] + A_{0}2{1}1[0] + A_{0}2{1}1[1]);",
"const double tmp484 = w15*(A_{0}0{1}2[5] + A_{0}0{1}2[7] + A_{0}2{1}0[0] + A_{0}2{1}0[2]);",
"const double tmp485 = w5*(A_{0}0{1}2[0] + A_{0}0{1}2[2] + A_{0}2{1}0[5] + A_{0}2{1}0[7]);",
"const double tmp486 = w18*(-A_{0}1{1}2[1] + A_{0}2{1}1[3]);",
"const double tmp487 = w20*(A_{0}0{1}1[4] - A_{0}1{1}0[6]);",
"const double tmp488 = w4*(A_{0}1{1}2[6] - A_{0}2{1}1[4]);",
"const double tmp489 = w21*(A_{0}0{1}1[3] - A_{0}1{1}0[1]);",
"const double tmp490 = w20*(A_{0}0{1}1[7] - A_{0}1{1}0[5]);",
"const double tmp491 = w18*(A_{0}1{1}2[2] - A_{0}2{1}1[0]);",
"const double tmp492 = w4*(-A_{0}1{1}2[5] + A_{0}2{1}1[7]);",
"const double tmp493 = w21*(A_{0}0{1}1[0] - A_{0}1{1}0[2]);",
"const double tmp494 = w20*(A_{0}0{1}1[1] + A_{0}1{1}0[2]);",
"const double tmp495 = w21*(A_{0}0{1}1[6] + A_{0}1{1}0[5]);",
"const double tmp496 = w18*(-A_{0}1{1}2[2] - A_{0}2{1}1[4]);",
"const double tmp497 = w4*(A_{0}1{1}2[5] + A_{0}2{1}1[3]);",
"const double tmp498 = w15*(-A_{0}0{1}2[0] - A_{0}0{1}2[2] + A_{0}2{1}0[4] + A_{0}2{1}0[6]);",
"const double tmp499 = w5*(-A_{0}0{1}2[5] - A_{0}0{1}2[7] + A_{0}2{1}0[1] + A_{0}2{1}0[3]);",
"const double tmp500 = w18*(-A_{0}1{1}2[6] + A_{0}2{1}1[2]);",
"const double tmp501 = w4*(A_{0}1{1}2[1] - A_{0}2{1}1[5]);",
"const double tmp502 = w17*(A_{0}0{1}2[6] - A_{0}2{1}0[2]);",
"const double tmp503 = w2*(-A_{0}0{1}2[1] + A_{0}2{1}0[5]);",
"const double tmp504 = w18*(-A_{0}1{1}2[3] - A_{0}2{1}1[5]);",
"const double tmp505 = w4*(A_{0}1{1}2[4] + A_{0}2{1}1[2]);",
"const double tmp506 = w2*(A_{0}0{1}2[6] + A_{0}2{1}0[3]);",
"const double tmp507 = w17*(-A_{0}0{1}2[1] - A_{0}2{1}0[4]);",
"const double tmp508 = w18*(A_{0}1{1}2[0] + A_{0}2{1}1[6]);",
"const double tmp509 = w4*(-A_{0}1{1}2[7] - A_{0}2{1}1[1]);"]

expanded3Dsummations=[
    "EM_S[INDEX4({0},{1},0,0,numEq,numComp,8)]+= tmp198| + tmp200| + tmp214| + tmp259| + tmp262| + tmp289| + tmp294| + tmp299| + tmp303| + tmp304| + tmp307| + tmp309| + tmp343| + tmp347| + tmp362| + tmp363| + tmp379| + tmp380| + tmp381| + tmp382| + tmp383| + tmp384| + tmp385| + tmp386|;",
    "EM_S[INDEX4({0},{1},0,1,numEq,numComp,8)]+= tmp161| + tmp201| + tmp247| + tmp250| + tmp371| + tmp374| + tmp44| + tmp451| + tmp454| + tmp455| + tmp456| + tmp466| + tmp467| + tmp468| + tmp469| + tmp49| + tmp89| + tmp91| + tmp92| + tmp98|;",
    "EM_S[INDEX4({0},{1},0,2,numEq,numComp,8)]+= tmp135| + tmp236| + tmp238| + tmp240| + tmp242| + tmp244| + tmp39| + tmp41| + tmp432| + tmp436| + tmp440| + tmp441| + tmp490| + tmp491| + tmp492| + tmp493| + tmp61| + tmp68| + tmp70| + tmp71|;",
    "EM_S[INDEX4({0},{1},0,3,numEq,numComp,8)]+= tmp114| + tmp165| + tmp166| + tmp167| + tmp168| + tmp169| + tmp170| + tmp171| + tmp172| + tmp20| + tmp73| + tmp74| + tmp75| + tmp76| + tmp79| + tmp80|;",
    "EM_S[INDEX4({0},{1},0,4,numEq,numComp,8)]+= tmp1| + tmp127| + tmp131| + tmp141| + tmp145| + tmp146| + tmp148| + tmp15| + tmp189| + tmp190| + tmp192| + tmp193| + tmp2| + tmp243| + tmp246| + tmp406| + tmp407| + tmp408| + tmp409| + tmp5|;",
    "EM_S[INDEX4({0},{1},0,5,numEq,numComp,8)]+= tmp174| + tmp176| + tmp184| + tmp24| + tmp260| + tmp267| + tmp339| + tmp340| + tmp341| + tmp342| + tmp344| + tmp345| + tmp416| + tmp417| + tmp506| + tmp507|;",
    "EM_S[INDEX4({0},{1},0,6,numEq,numComp,8)]+= tmp21| + tmp258| + tmp266| + tmp274| + tmp337| + tmp398| + tmp422| + tmp424| + tmp428| + tmp430| + tmp447| + tmp449| + tmp496| + tmp497| + tmp498| + tmp499|;",
    "EM_S[INDEX4({0},{1},0,7,numEq,numComp,8)]+= tmp104| + tmp105| + tmp106| + tmp107| + tmp108| + tmp109| + tmp110| + tmp111| + tmp112| + tmp113| + tmp38| + tmp87|;",
    "EM_S[INDEX4({0},{1},1,0,numEq,numComp,8)]+= tmp145| + tmp148| + tmp161| + tmp201| + tmp202| + tmp210| + tmp371| + tmp374| + tmp440| + tmp441| + tmp450| + tmp451| + tmp452| + tmp453| + tmp454| + tmp455| + tmp456| + tmp457| + tmp89| + tmp91|;",
    "EM_S[INDEX4({0},{1},1,1,numEq,numComp,8)]+= tmp215| + tmp221| + tmp227| + tmp260| + tmp267| + tmp288| + tmp304| + tmp312| + tmp317| + tmp351| + tmp352| + tmp353| + tmp354| + tmp355| + tmp356| + tmp357| + tmp358| + tmp359| + tmp360| + tmp361| + tmp362| + tmp363| + tmp76| + tmp79|;",
    "EM_S[INDEX4({0},{1},1,2,numEq,numComp,8)]+= tmp166| + tmp169| + tmp172| + tmp196| + tmp197| + tmp198| + tmp199| + tmp20| + tmp200| + tmp21| + tmp73| + tmp74| + tmp75| + tmp77| + tmp80| + tmp82|;",
    "EM_S[INDEX4({0},{1},1,3,numEq,numComp,8)]+= tmp36| + tmp37| + tmp38| + tmp39| + tmp40| + tmp41| + tmp42| + tmp43| + tmp44| + tmp45| + tmp46| + tmp47| + tmp48| + tmp49| + tmp50| + tmp51| + tmp52| + tmp53| + tmp54| + tmp55|;",
    "EM_S[INDEX4({0},{1},1,4,numEq,numComp,8)]+= tmp176| + tmp24| + tmp269| + tmp274| + tmp339| + tmp340| + tmp342| + tmp343| + tmp344| + tmp347| + tmp394| + tmp395| + tmp416| + tmp417| + tmp418| + tmp419|;",
    "EM_S[INDEX4({0},{1},1,5,numEq,numComp,8)]+= tmp112| + tmp12| + tmp123| + tmp13| + tmp141| + tmp142| + tmp143| + tmp146| + tmp147| + tmp149| + tmp16| + tmp277| + tmp278| + tmp279| + tmp280| + tmp281| + tmp282| + tmp6| + tmp92| + tmp98|;",
    "EM_S[INDEX4({0},{1},1,6,numEq,numComp,8)]+= tmp104| + tmp105| + tmp106| + tmp110| + tmp113| + tmp135| + tmp136| + tmp137| + tmp138| + tmp139| + tmp15| + tmp87|;",
    "EM_S[INDEX4({0},{1},1,7,numEq,numComp,8)]+= tmp114| + tmp184| + tmp225| + tmp232| + tmp329| + tmp330| + tmp332| + tmp334| + tmp335| + tmp337| + tmp338| + tmp421| + tmp464| + tmp465| + tmp504| + tmp505|;",
    "EM_S[INDEX4({0},{1},2,0,numEq,numComp,8)]+= tmp135| + tmp234| + tmp235| + tmp236| + tmp237| + tmp238| + tmp239| + tmp240| + tmp241| + tmp242| + tmp243| + tmp244| + tmp245| + tmp246| + tmp39| + tmp41| + tmp44| + tmp49| + tmp61| + tmp71|;",
    "EM_S[INDEX4({0},{1},2,1,numEq,numComp,8)]+= tmp114| + tmp120| + tmp167| + tmp170| + tmp198| + tmp20| + tmp200| + tmp24| + tmp443| + tmp444| + tmp73| + tmp74| + tmp75| + tmp80| + tmp81| + tmp83|;",
    "EM_S[INDEX4({0},{1},2,2,numEq,numComp,8)]+= tmp217| + tmp231| + tmp233| + tmp258| + tmp266| + tmp271| + tmp273| + tmp288| + tmp289| + tmp290| + tmp291| + tmp292| + tmp293| + tmp294| + tmp295| + tmp296| + tmp297| + tmp298| + tmp299| + tmp300| + tmp301| + tmp302| + tmp76| + tmp79|;",
    "EM_S[INDEX4({0},{1},2,3,numEq,numComp,8)]+= tmp101| + tmp156| + tmp157| + tmp204| + tmp205| + tmp368| + tmp371| + tmp372| + tmp374| + tmp375| + tmp377| + tmp437| + tmp438| + tmp439| + tmp440| + tmp441| + tmp442| + tmp85| + tmp87| + tmp99|;",
    "EM_S[INDEX4({0},{1},2,4,numEq,numComp,8)]+= tmp184| + tmp21| + tmp328| + tmp337| + tmp383| + tmp386| + tmp422| + tmp423| + tmp424| + tmp427| + tmp428| + tmp430| + tmp498| + tmp499| + tmp508| + tmp509|;",
    "EM_S[INDEX4({0},{1},2,5,numEq,numComp,8)]+= tmp104| + tmp106| + tmp108| + tmp111| + tmp113| + tmp15| + tmp160| + tmp161| + tmp162| + tmp163| + tmp164| + tmp38|;",
    "EM_S[INDEX4({0},{1},2,6,numEq,numComp,8)]+= tmp10| + tmp112| + tmp122| + tmp123| + tmp124| + tmp125| + tmp126| + tmp127| + tmp128| + tmp129| + tmp130| + tmp131| + tmp132| + tmp133| + tmp134| + tmp14| + tmp3| + tmp68| + tmp70| + tmp9|;",
    "EM_S[INDEX4({0},{1},2,7,numEq,numComp,8)]+= tmp166| + tmp175| + tmp176| + tmp178| + tmp179| + tmp180| + tmp183| + tmp187| + tmp270| + tmp272| + tmp274| + tmp284| + tmp285| + tmp364| + tmp365| + tmp366|;",
    "EM_S[INDEX4({0},{1},3,0,numEq,numComp,8)]+= tmp20| + tmp21| + tmp24| + tmp34| + tmp72| + tmp73| + tmp74| + tmp75| + tmp76| + tmp77| + tmp78| + tmp79| + tmp80| + tmp81| + tmp82| + tmp83|;",
    "EM_S[INDEX4({0},{1},3,1,numEq,numComp,8)]+= tmp13| + tmp16| + tmp38| + tmp39| + tmp40| + tmp41| + tmp43| + tmp440| + tmp441| + tmp45| + tmp47| + tmp478| + tmp481| + tmp486| + tmp487| + tmp488| + tmp489| + tmp50| + tmp52| + tmp55|;",
    "EM_S[INDEX4({0},{1},3,2,numEq,numComp,8)]+= tmp101| + tmp14| + tmp204| + tmp205| + tmp367| + tmp368| + tmp369| + tmp370| + tmp371| + tmp372| + tmp373| + tmp374| + tmp375| + tmp376| + tmp377| + tmp378| + tmp44| + tmp49| + tmp87| + tmp9|;",
    "EM_S[INDEX4({0},{1},3,3,numEq,numComp,8)]+= tmp179| + tmp183| + tmp198| + tmp200| + tmp214| + tmp215| + tmp216| + tmp217| + tmp218| + tmp219| + tmp220| + tmp221| + tmp222| + tmp223| + tmp224| + tmp225| + tmp226| + tmp227| + tmp228| + tmp229| + tmp230| + tmp231| + tmp232| + tmp233|;",
    "EM_S[INDEX4({0},{1},3,4,numEq,numComp,8)]+= tmp104| + tmp106| + tmp112| + tmp113| + tmp135| + tmp137| + tmp139| + tmp160| + tmp161| + tmp164| + tmp471| + tmp473|;",
    "EM_S[INDEX4({0},{1},3,5,numEq,numComp,8)]+= tmp114| + tmp274| + tmp312| + tmp317| + tmp329| + tmp332| + tmp335| + tmp337| + tmp338| + tmp399| + tmp401| + tmp446| + tmp462| + tmp463| + tmp464| + tmp465|;",
    "EM_S[INDEX4({0},{1},3,6,numEq,numComp,8)]+= tmp166| + tmp175| + tmp176| + tmp177| + tmp178| + tmp180| + tmp181| + tmp184| + tmp187| + tmp271| + tmp273| + tmp283| + tmp284| + tmp285| + tmp286| + tmp287|;",
    "EM_S[INDEX4({0},{1},3,7,numEq,numComp,8)]+= tmp1| + tmp10| + tmp11| + tmp12| + tmp15| + tmp152| + tmp153| + tmp154| + tmp155| + tmp156| + tmp157| + tmp158| + tmp159| + tmp17| + tmp3| + tmp4| + tmp51| + tmp54| + tmp6| + tmp7|;",
    "EM_S[INDEX4({0},{1},4,0,numEq,numComp,8)]+= tmp1| + tmp127| + tmp131| + tmp141| + tmp146| + tmp15| + tmp153| + tmp154| + tmp188| + tmp189| + tmp190| + tmp191| + tmp192| + tmp193| + tmp194| + tmp195| + tmp68| + tmp70| + tmp92| + tmp98|;",
    "EM_S[INDEX4({0},{1},4,1,numEq,numComp,8)]+= tmp166| + tmp176| + tmp184| + tmp283| + tmp339| + tmp340| + tmp341| + tmp342| + tmp343| + tmp344| + tmp345| + tmp346| + tmp347| + tmp348| + tmp349| + tmp350|;",
    "EM_S[INDEX4({0},{1},4,2,numEq,numComp,8)]+= tmp114| + tmp274| + tmp337| + tmp383| + tmp386| + tmp422| + tmp424| + tmp426| + tmp428| + tmp429| + tmp430| + tmp445| + tmp446| + tmp447| + tmp448| + tmp449|;",
    "EM_S[INDEX4({0},{1},4,3,numEq,numComp,8)]+= tmp104| + tmp106| + tmp107| + tmp109| + tmp112| + tmp113| + tmp135| + tmp161| + tmp482| + tmp483| + tmp484| + tmp485|;",
    "EM_S[INDEX4({0},{1},4,4,numEq,numComp,8)]+= tmp118| + tmp121| + tmp214| + tmp215| + tmp216| + tmp217| + tmp220| + tmp222| + tmp253| + tmp254| + tmp255| + tmp256| + tmp257| + tmp258| + tmp259| + tmp260| + tmp261| + tmp262| + tmp263| + tmp264| + tmp265| + tmp266| + tmp267| + tmp268|;",
    "EM_S[INDEX4({0},{1},4,5,numEq,numComp,8)]+= tmp100| + tmp101| + tmp145| + tmp148| + tmp369| + tmp376| + tmp402| + tmp403| + tmp404| + tmp405| + tmp60| + tmp65| + tmp84| + tmp87| + tmp88| + tmp89| + tmp91| + tmp95| + tmp96| + tmp97|;",
    "EM_S[INDEX4({0},{1},4,6,numEq,numComp,8)]+= tmp243| + tmp246| + tmp38| + tmp43| + tmp476| + tmp477| + tmp478| + tmp479| + tmp480| + tmp481| + tmp57| + tmp58| + tmp61| + tmp63| + tmp64| + tmp66| + tmp69| + tmp71| + tmp90| + tmp94|;",
    "EM_S[INDEX4({0},{1},4,7,numEq,numComp,8)]+= tmp20| + tmp21| + tmp22| + tmp23| + tmp24| + tmp25| + tmp26| + tmp27| + tmp28| + tmp29| + tmp30| + tmp31| + tmp32| + tmp33| + tmp34| + tmp35|;",
    "EM_S[INDEX4({0},{1},5,0,numEq,numComp,8)]+= tmp166| + tmp176| + tmp260| + tmp267| + tmp274| + tmp339| + tmp340| + tmp342| + tmp344| + tmp346| + tmp348| + tmp365| + tmp393| + tmp394| + tmp395| + tmp396|;",
    "EM_S[INDEX4({0},{1},5,1,numEq,numComp,8)]+= tmp112| + tmp12| + tmp123| + tmp124| + tmp126| + tmp140| + tmp141| + tmp142| + tmp143| + tmp144| + tmp145| + tmp146| + tmp147| + tmp148| + tmp149| + tmp150| + tmp151| + tmp51| + tmp54| + tmp6|;",
    "EM_S[INDEX4({0},{1},5,2,numEq,numComp,8)]+= tmp104| + tmp106| + tmp113| + tmp136| + tmp138| + tmp15| + tmp161| + tmp38| + tmp472| + tmp475| + tmp482| + tmp483|;",
    "EM_S[INDEX4({0},{1},5,3,numEq,numComp,8)]+= tmp184| + tmp21| + tmp312| + tmp317| + tmp327| + tmp328| + tmp329| + tmp330| + tmp331| + tmp332| + tmp333| + tmp334| + tmp335| + tmp336| + tmp337| + tmp338|;",
    "EM_S[INDEX4({0},{1},5,4,numEq,numComp,8)]+= tmp100| + tmp101| + tmp102| + tmp103| + tmp84| + tmp85| + tmp86| + tmp87| + tmp88| + tmp89| + tmp90| + tmp91| + tmp92| + tmp93| + tmp94| + tmp95| + tmp96| + tmp97| + tmp98| + tmp99|;",
    "EM_S[INDEX4({0},{1},5,5,numEq,numComp,8)]+= tmp217| + tmp225| + tmp232| + tmp26| + tmp265| + tmp268| + tmp288| + tmp289| + tmp29| + tmp290| + tmp293| + tmp295| + tmp308| + tmp313| + tmp343| + tmp347| + tmp358| + tmp359| + tmp410| + tmp411| + tmp412| + tmp413| + tmp414| + tmp415|;",
    "EM_S[INDEX4({0},{1},5,6,numEq,numComp,8)]+= tmp114| + tmp115| + tmp116| + tmp117| + tmp118| + tmp119| + tmp120| + tmp121| + tmp20| + tmp22| + tmp24| + tmp25| + tmp28| + tmp30| + tmp32| + tmp35|;",
    "EM_S[INDEX4({0},{1},5,7,numEq,numComp,8)]+= tmp13| + tmp135| + tmp16| + tmp237| + tmp238| + tmp245| + tmp319| + tmp320| + tmp321| + tmp322| + tmp323| + tmp324| + tmp325| + tmp326| + tmp45| + tmp55| + tmp57| + tmp60| + tmp64| + tmp65|;",
    "EM_S[INDEX4({0},{1},6,0,numEq,numComp,8)]+= tmp114| + tmp184| + tmp258| + tmp266| + tmp337| + tmp420| + tmp421| + tmp422| + tmp423| + tmp424| + tmp425| + tmp426| + tmp427| + tmp428| + tmp429| + tmp430|;",
    "EM_S[INDEX4({0},{1},6,1,numEq,numComp,8)]+= tmp104| + tmp106| + tmp113| + tmp135| + tmp15| + tmp162| + tmp163| + tmp470| + tmp474| + tmp484| + tmp485| + tmp87|;",
    "EM_S[INDEX4({0},{1},6,2,numEq,numComp,8)]+= tmp10| + tmp112| + tmp123| + tmp125| + tmp127| + tmp128| + tmp130| + tmp131| + tmp132| + tmp156| + tmp157| + tmp243| + tmp246| + tmp278| + tmp279| + tmp3| + tmp500| + tmp501| + tmp502| + tmp503|;",
    "EM_S[INDEX4({0},{1},6,3,numEq,numComp,8)]+= tmp175| + tmp176| + tmp178| + tmp180| + tmp182| + tmp185| + tmp187| + tmp24| + tmp269| + tmp270| + tmp271| + tmp272| + tmp273| + tmp274| + tmp275| + tmp276|;",
    "EM_S[INDEX4({0},{1},6,4,numEq,numComp,8)]+= tmp38| + tmp42| + tmp43| + tmp53| + tmp56| + tmp57| + tmp58| + tmp59| + tmp60| + tmp61| + tmp62| + tmp63| + tmp64| + tmp65| + tmp66| + tmp67| + tmp68| + tmp69| + tmp70| + tmp71|;",
    "EM_S[INDEX4({0},{1},6,5,numEq,numComp,8)]+= tmp118| + tmp121| + tmp166| + tmp199| + tmp20| + tmp21| + tmp22| + tmp25| + tmp27| + tmp28| + tmp30| + tmp33| + tmp458| + tmp459| + tmp460| + tmp461|;",
    "EM_S[INDEX4({0},{1},6,6,numEq,numComp,8)]+= tmp179| + tmp183| + tmp215| + tmp255| + tmp26| + tmp261| + tmp288| + tmp29| + tmp298| + tmp300| + tmp304| + tmp316| + tmp318| + tmp351| + tmp354| + tmp355| + tmp383| + tmp386| + tmp387| + tmp388| + tmp389| + tmp390| + tmp391| + tmp392|;",
    "EM_S[INDEX4({0},{1},6,7,numEq,numComp,8)]+= tmp100| + tmp14| + tmp161| + tmp201| + tmp202| + tmp203| + tmp204| + tmp205| + tmp206| + tmp207| + tmp208| + tmp209| + tmp210| + tmp211| + tmp212| + tmp213| + tmp88| + tmp9| + tmp90| + tmp94|;",
    "EM_S[INDEX4({0},{1},7,0,numEq,numComp,8)]+= tmp104| + tmp106| + tmp112| + tmp113| + tmp38| + tmp470| + tmp471| + tmp472| + tmp473| + tmp474| + tmp475| + tmp87|;",
    "EM_S[INDEX4({0},{1},7,1,numEq,numComp,8)]+= tmp21| + tmp225| + tmp232| + tmp274| + tmp329| + tmp332| + tmp333| + tmp335| + tmp336| + tmp337| + tmp338| + tmp397| + tmp398| + tmp399| + tmp400| + tmp401|;",
    "EM_S[INDEX4({0},{1},7,2,numEq,numComp,8)]+= tmp173| + tmp174| + tmp175| + tmp176| + tmp177| + tmp178| + tmp179| + tmp180| + tmp181| + tmp182| + tmp183| + tmp184| + tmp185| + tmp186| + tmp187| + tmp24|;",
    "EM_S[INDEX4({0},{1},7,3,numEq,numComp,8)]+= tmp0| + tmp1| + tmp10| + tmp11| + tmp12| + tmp13| + tmp14| + tmp15| + tmp16| + tmp17| + tmp18| + tmp19| + tmp2| + tmp3| + tmp4| + tmp5| + tmp6| + tmp7| + tmp8| + tmp9|;",
    "EM_S[INDEX4({0},{1},7,4,numEq,numComp,8)]+= tmp114| + tmp117| + tmp119| + tmp166| + tmp171| + tmp20| + tmp22| + tmp25| + tmp26| + tmp28| + tmp29| + tmp30| + tmp460| + tmp461| + tmp494| + tmp495|;",
    "EM_S[INDEX4({0},{1},7,5,numEq,numComp,8)]+= tmp135| + tmp238| + tmp320| + tmp324| + tmp325| + tmp326| + tmp431| + tmp432| + tmp433| + tmp434| + tmp435| + tmp436| + tmp45| + tmp51| + tmp54| + tmp55| + tmp57| + tmp64| + tmp90| + tmp94|;",
    "EM_S[INDEX4({0},{1},7,6,numEq,numComp,8)]+= tmp100| + tmp156| + tmp157| + tmp161| + tmp201| + tmp204| + tmp205| + tmp207| + tmp208| + tmp209| + tmp211| + tmp247| + tmp248| + tmp249| + tmp250| + tmp251| + tmp252| + tmp60| + tmp65| + tmp88|;",
    "EM_S[INDEX4({0},{1},7,7,numEq,numComp,8)]+= tmp118| + tmp121| + tmp214| + tmp226| + tmp228| + tmp271| + tmp273| + tmp289| + tmp303| + tmp304| + tmp305| + tmp306| + tmp307| + tmp308| + tmp309| + tmp310| + tmp311| + tmp312| + tmp313| + tmp314| + tmp315| + tmp316| + tmp317| + tmp318|;"]

expanded2Dtemps = [
    "const double tmp0 = w3*(A_{0}1{1}1[0] + A_{0}1{1}1[1] + A_{0}1{1}1[2] + A_{0}1{1}1[3]);",
    "const double tmp1 = w1*(A_{0}0{1}1[0] + A_{0}0{1}1[3] - A_{0}1{1}0[1] - A_{0}1{1}0[2]);",
    "const double tmp2 = w4*(A_{0}0{1}0[2] + A_{0}0{1}0[3]);",
    "const double tmp3 = w0*(A_{0}0{1}0[0] + A_{0}0{1}0[1]);",
    "const double tmp4 = w5*(A_{0}0{1}1[2] - A_{0}1{1}0[3]);",
    "const double tmp5 = w2*(-A_{0}0{1}1[1] + A_{0}1{1}0[0]);",
    "const double tmp6 = w5*(A_{0}0{1}1[3] + A_{0}1{1}0[0]);",
    "const double tmp7 = w3*(-A_{0}1{1}1[0] - A_{0}1{1}1[1] - A_{0}1{1}1[2] - A_{0}1{1}1[3]);",
    "const double tmp8 = w6*(A_{0}0{1}0[0] + A_{0}0{1}0[1] + A_{0}0{1}0[2] + A_{0}0{1}0[3]);",
    "const double tmp9 = w1*(A_{0}0{1}1[1] + A_{0}0{1}1[2] + A_{0}1{1}0[1] + A_{0}1{1}0[2]);",
    "const double tmp10 = w2*(-A_{0}0{1}1[0] - A_{0}1{1}0[3]);",
    "const double tmp11 = w4*(A_{0}0{1}0[0] + A_{0}0{1}0[1]);",
    "const double tmp12 = w0*(A_{0}0{1}0[2] + A_{0}0{1}0[3]);",
    "const double tmp13 = w5*(A_{0}0{1}1[1] - A_{0}1{1}0[0]);",
    "const double tmp14 = w2*(-A_{0}0{1}1[2] + A_{0}1{1}0[3]);",
    "const double tmp15 = w7*(A_{0}1{1}1[0] + A_{0}1{1}1[2]);",
    "const double tmp16 = w4*(-A_{0}0{1}0[2] - A_{0}0{1}0[3]);",
    "const double tmp17 = w0*(-A_{0}0{1}0[0] - A_{0}0{1}0[1]);",
    "const double tmp18 = w5*(A_{0}0{1}1[3] + A_{0}1{1}0[3]);",
    "const double tmp19 = w8*(A_{0}1{1}1[1] + A_{0}1{1}1[3]);",
    "const double tmp20 = w2*(-A_{0}0{1}1[0] - A_{0}1{1}0[0]);",
    "const double tmp21 = w7*(A_{0}1{1}1[1] + A_{0}1{1}1[3]);",
    "const double tmp22 = w4*(-A_{0}0{1}0[0] - A_{0}0{1}0[1]);",
    "const double tmp23 = w0*(-A_{0}0{1}0[2] - A_{0}0{1}0[3]);",
    "const double tmp24 = w5*(A_{0}0{1}1[0] + A_{0}1{1}0[0]);",
    "const double tmp25 = w8*(A_{0}1{1}1[0] + A_{0}1{1}1[2]);",
    "const double tmp26 = w2*(-A_{0}0{1}1[3] - A_{0}1{1}0[3]);",
    "const double tmp27 = w5*(-A_{0}0{1}1[1] - A_{0}1{1}0[2]);",
    "const double tmp28 = w1*(-A_{0}0{1}1[0] - A_{0}0{1}1[3] - A_{0}1{1}0[0] - A_{0}1{1}0[3]);",
    "const double tmp29 = w2*(A_{0}0{1}1[2] + A_{0}1{1}0[1]);",
    "const double tmp30 = w7*(-A_{0}1{1}1[1] - A_{0}1{1}1[3]);",
    "const double tmp31 = w1*(-A_{0}0{1}1[1] - A_{0}0{1}1[2] + A_{0}1{1}0[0] + A_{0}1{1}0[3]);",
    "const double tmp32 = w5*(-A_{0}0{1}1[0] + A_{0}1{1}0[2]);",
    "const double tmp33 = w8*(-A_{0}1{1}1[0] - A_{0}1{1}1[2]);",
    "const double tmp34 = w6*(-A_{0}0{1}0[0] - A_{0}0{1}0[1] - A_{0}0{1}0[2] - A_{0}0{1}0[3]);",
    "const double tmp35 = w2*(A_{0}0{1}1[3] - A_{0}1{1}0[1]);",
    "const double tmp36 = w5*(A_{0}0{1}1[0] + A_{0}1{1}0[3]);",
    "const double tmp37 = w2*(-A_{0}0{1}1[3] - A_{0}1{1}0[0]);",
    "const double tmp38 = w7*(-A_{0}1{1}1[0] - A_{0}1{1}1[2]);",
    "const double tmp39 = w5*(-A_{0}0{1}1[3] + A_{0}1{1}0[1]);",
    "const double tmp40 = w8*(-A_{0}1{1}1[1] - A_{0}1{1}1[3]);",
    "const double tmp41 = w2*(A_{0}0{1}1[0] - A_{0}1{1}0[2]);",
    "const double tmp42 = w5*(A_{0}0{1}1[1] - A_{0}1{1}0[3]);",
    "const double tmp43 = w2*(-A_{0}0{1}1[2] + A_{0}1{1}0[0]);",
    "const double tmp44 = w5*(A_{0}0{1}1[2] - A_{0}1{1}0[0]);",
    "const double tmp45 = w2*(-A_{0}0{1}1[1] + A_{0}1{1}0[3]);",
    "const double tmp46 = w5*(-A_{0}0{1}1[0] + A_{0}1{1}0[1]);",
    "const double tmp47 = w2*(A_{0}0{1}1[3] - A_{0}1{1}0[2]);",
    "const double tmp48 = w5*(-A_{0}0{1}1[1] - A_{0}1{1}0[1]);",
    "const double tmp49 = w2*(A_{0}0{1}1[2] + A_{0}1{1}0[2]);",
    "const double tmp50 = w5*(-A_{0}0{1}1[3] + A_{0}1{1}0[2]);",
    "const double tmp51 = w2*(A_{0}0{1}1[0] - A_{0}1{1}0[1]);",
    "const double tmp52 = w5*(-A_{0}0{1}1[2] - A_{0}1{1}0[1]);",
    "const double tmp53 = w2*(A_{0}0{1}1[1] + A_{0}1{1}0[2]);",
    "const double tmp54 = w5*(-A_{0}0{1}1[2] - A_{0}1{1}0[2]);",
    "const double tmp55 = w2*(A_{0}0{1}1[1] + A_{0}1{1}0[1]);"]
    
expanded2Dsummations=[
    "EM_S[INDEX4({0},{1},0,0,numEq,numComp,4)]+= tmp15| + tmp16| + tmp17| + tmp18| + tmp19| + tmp20| + tmp9|;",
    "EM_S[INDEX4({0},{1},0,1,numEq,numComp,4)]+= tmp0| + tmp1| + tmp2| + tmp3| + tmp4| + tmp5|;",
    "EM_S[INDEX4({0},{1},0,2,numEq,numComp,4)]+= tmp31| + tmp34| + tmp38| + tmp39| + tmp40| + tmp41|;",
    "EM_S[INDEX4({0},{1},0,3,numEq,numComp,4)]+= tmp28| + tmp52| + tmp53| + tmp7| + tmp8|;",
    "EM_S[INDEX4({0},{1},1,0,numEq,numComp,4)]+= tmp0| + tmp2| + tmp3| + tmp31| + tmp50| + tmp51|;",
    "EM_S[INDEX4({0},{1},1,1,numEq,numComp,4)]+= tmp16| + tmp17| + tmp21| + tmp25| + tmp28| + tmp54| + tmp55|;",
    "EM_S[INDEX4({0},{1},1,2,numEq,numComp,4)]+= tmp10| + tmp6| + tmp7| + tmp8| + tmp9|;",
    "EM_S[INDEX4({0},{1},1,3,numEq,numComp,4)]+= tmp1| + tmp30| + tmp33| + tmp34| + tmp44| + tmp45|;",
    "EM_S[INDEX4({0},{1},2,0,numEq,numComp,4)]+= tmp1| + tmp34| + tmp38| + tmp40| + tmp42| + tmp43|;",
    "EM_S[INDEX4({0},{1},2,1,numEq,numComp,4)]+= tmp36| + tmp37| + tmp7| + tmp8| + tmp9|;",
    "EM_S[INDEX4({0},{1},2,2,numEq,numComp,4)]+= tmp15| + tmp19| + tmp22| + tmp23| + tmp28| + tmp48| + tmp49|;",
    "EM_S[INDEX4({0},{1},2,3,numEq,numComp,4)]+= tmp0| + tmp11| + tmp12| + tmp31| + tmp46| + tmp47|;",
    "EM_S[INDEX4({0},{1},3,0,numEq,numComp,4)]+= tmp27| + tmp28| + tmp29| + tmp7| + tmp8|;",
    "EM_S[INDEX4({0},{1},3,1,numEq,numComp,4)]+= tmp30| + tmp31| + tmp32| + tmp33| + tmp34| + tmp35|;",
    "EM_S[INDEX4({0},{1},3,2,numEq,numComp,4)]+= tmp0| + tmp1| + tmp11| + tmp12| + tmp13| + tmp14|;",
    "EM_S[INDEX4({0},{1},3,3,numEq,numComp,4)]+= tmp21| + tmp22| + tmp23| + tmp24| + tmp25| + tmp26| + tmp9|;"]

reduced2Dsummations=[
    "EM_S[INDEX4({0},{1},0,0,numEq,numComp,4)]+=-8*A_{0}0{1}0|*w6 + 8*A_{0}1{1}1|*w3 + tmp1|;",
    "EM_S[INDEX4({0},{1},0,1,numEq,numComp,4)]+= 8*A_{0}0{1}0|*w6 + 4*A_{0}1{1}1|*w3 + tmp0|;",
    "EM_S[INDEX4({0},{1},0,2,numEq,numComp,4)]+=-4*A_{0}0{1}0|*w6 - 8*A_{0}1{1}1|*w3 + tmp3|;",
    "EM_S[INDEX4({0},{1},0,3,numEq,numComp,4)]+= 4*A_{0}0{1}0|*w6 - 4*A_{0}1{1}1|*w3 + tmp2|;",
    "EM_S[INDEX4({0},{1},1,0,numEq,numComp,4)]+= 8*A_{0}0{1}0|*w6 + 4*A_{0}1{1}1|*w3 + tmp3|;",
    "EM_S[INDEX4({0},{1},1,1,numEq,numComp,4)]+=-8*A_{0}0{1}0|*w6 + 8*A_{0}1{1}1|*w3 + tmp2|;",
    "EM_S[INDEX4({0},{1},1,2,numEq,numComp,4)]+= 4*A_{0}0{1}0|*w6 - 4*A_{0}1{1}1|*w3 + tmp1|;",
    "EM_S[INDEX4({0},{1},1,3,numEq,numComp,4)]+=-4*A_{0}0{1}0|*w6 - 8*A_{0}1{1}1|*w3 + tmp0|;",
    "EM_S[INDEX4({0},{1},2,0,numEq,numComp,4)]+=-4*A_{0}0{1}0|*w6 - 8*A_{0}1{1}1|*w3 + tmp0|;",
    "EM_S[INDEX4({0},{1},2,1,numEq,numComp,4)]+= 4*A_{0}0{1}0|*w6 - 4*A_{0}1{1}1|*w3 + tmp1|;",
    "EM_S[INDEX4({0},{1},2,2,numEq,numComp,4)]+=-8*A_{0}0{1}0|*w6 + 8*A_{0}1{1}1|*w3 + tmp2|;",
    "EM_S[INDEX4({0},{1},2,3,numEq,numComp,4)]+= 8*A_{0}0{1}0|*w6 + 4*A_{0}1{1}1|*w3 + tmp3|;",
    "EM_S[INDEX4({0},{1},3,0,numEq,numComp,4)]+= 4*A_{0}0{1}0|*w6 - 4*A_{0}1{1}1|*w3 + tmp2|;",
    "EM_S[INDEX4({0},{1},3,1,numEq,numComp,4)]+=-4*A_{0}0{1}0|*w6 - 8*A_{0}1{1}1|*w3 + tmp3|;",
    "EM_S[INDEX4({0},{1},3,2,numEq,numComp,4)]+= 8*A_{0}0{1}0|*w6 + 4*A_{0}1{1}1|*w3 + tmp0|;",
    "EM_S[INDEX4({0},{1},3,3,numEq,numComp,4)]+=-8*A_{0}0{1}0|*w6 + 8*A_{0}1{1}1|*w3 + tmp1|;"]
    


reduced3Dtemps = [
    "const double tmp0 = Aw{0}0{1}1 + Aw{0}1{1}0;",
    "const double tmp1 = Aw{0}0{1}1 - Aw{0}1{1}0;",
    "const double tmp2 = Aw{0}0{1}2 + Aw{0}2{1}0;",
    "const double tmp3 = Aw{0}0{1}2 - Aw{0}2{1}0;",
    "const double tmp4 = Aw{0}1{1}2 + Aw{0}2{1}1;",
    "const double tmp5 = Aw{0}1{1}2 - Aw{0}2{1}1;",
    "const double tmp6 = 4*Aw{0}0{1}0;",
    "const double tmp7 = 2*Aw{0}0{1}0;",
    "const double tmp8 = 4*Aw{0}1{1}1;",
    "const double tmp9 = 2*Aw{0}1{1}1;",
    "const double tmp10 = 4*Aw{0}2{1}2;",
    "const double tmp11 = 2*Aw{0}2{1}2;",
    "const double tmp12 = Aw{0}0{1}0;",#these three should be replaced
    "const double tmp13 = Aw{0}1{1}1;",#in the summations
    "const double tmp14 = Aw{0}2{1}2;",#with their actual expressions
    "const double tmp15 = 2*tmp0;",
    "const double tmp16 = 2*tmp1;",
    "const double tmp17 = 2*tmp2;",
    "const double tmp18 = 2*tmp3;",
    "const double tmp19 = 2*tmp4;",
    "const double tmp20 = 2*tmp5;",
    "const double tmp21 = -tmp6;", #same for these three
    "const double tmp22 = -tmp7;", #
    "const double tmp23 = -Aw{0}0{1}0;" #
    ] 
    
reduced3Dsummations = [
    "EM_S[INDEX4({0},{1},0,0,numEq,numComp,8)]+= tmp21| - tmp8| - tmp10| + tmp15| + tmp17| - tmp19|;",
    "EM_S[INDEX4({0},{1},0,1,numEq,numComp,8)]+= tmp6| - tmp9| - tmp11| - tmp4| + tmp16| + tmp18|;",
    "EM_S[INDEX4({0},{1},0,2,numEq,numComp,8)]+= tmp22| + tmp8| - tmp11| - tmp16| + tmp2| - tmp20|;",
    "EM_S[INDEX4({0},{1},0,3,numEq,numComp,8)]+= tmp7| + tmp9| - tmp14| - tmp15| + tmp3| - tmp5|;",
    "EM_S[INDEX4({0},{1},0,4,numEq,numComp,8)]+= tmp22| - tmp9| + tmp10| - tmp18| + tmp20| + tmp0|;",
    "EM_S[INDEX4({0},{1},0,5,numEq,numComp,8)]+= tmp7| - tmp13| + tmp11| - tmp17| + tmp1| + tmp5|;",
    "EM_S[INDEX4({0},{1},0,6,numEq,numComp,8)]+= tmp23| + tmp9| + tmp11| + tmp19| - tmp1| - tmp3|;",
    "EM_S[INDEX4({0},{1},0,7,numEq,numComp,8)]+= tmp12| + tmp13| + tmp14| + tmp4| - tmp0| - tmp2|;",
    "EM_S[INDEX4({0},{1},1,0,numEq,numComp,8)]+= tmp6| - tmp9| - tmp11| - tmp18| - tmp16| - tmp4|;",
    "EM_S[INDEX4({0},{1},1,1,numEq,numComp,8)]+= tmp21| - tmp8| - tmp10| - tmp17| - tmp19| - tmp15|;",
    "EM_S[INDEX4({0},{1},1,2,numEq,numComp,8)]+= tmp7| + tmp9| - tmp14| + tmp15| - tmp5| - tmp3|;",
    "EM_S[INDEX4({0},{1},1,3,numEq,numComp,8)]+= tmp22| + tmp8| - tmp11| - tmp2| - tmp20| + tmp16|;",
    "EM_S[INDEX4({0},{1},1,4,numEq,numComp,8)]+= tmp7| - tmp13| + tmp11| + tmp17| - tmp1| + tmp5|;",
    "EM_S[INDEX4({0},{1},1,5,numEq,numComp,8)]+= tmp22| - tmp9| + tmp10| + tmp20| - tmp0| + tmp18|;",
    "EM_S[INDEX4({0},{1},1,6,numEq,numComp,8)]+= tmp12| + tmp13| + tmp14| + tmp4| + tmp2| + tmp0|;",
    "EM_S[INDEX4({0},{1},1,7,numEq,numComp,8)]+= tmp23| + tmp9| + tmp11| + tmp3| + tmp1| + tmp19|;",
    "EM_S[INDEX4({0},{1},2,0,numEq,numComp,8)]+= tmp22| + tmp8| - tmp11| + tmp20| + tmp2| + tmp16|;",
    "EM_S[INDEX4({0},{1},2,1,numEq,numComp,8)]+= tmp7| + tmp9| - tmp14| + tmp3| + tmp15| + tmp5|;",
    "EM_S[INDEX4({0},{1},2,2,numEq,numComp,8)]+= tmp21| - tmp8| - tmp10| + tmp19| + tmp17| - tmp15|;",
    "EM_S[INDEX4({0},{1},2,3,numEq,numComp,8)]+= tmp6| - tmp9| - tmp11| + tmp4| - tmp16| + tmp18|;",
    "EM_S[INDEX4({0},{1},2,4,numEq,numComp,8)]+= tmp23| + tmp9| + tmp11| + tmp1| - tmp19| - tmp3|;",
    "EM_S[INDEX4({0},{1},2,5,numEq,numComp,8)]+= tmp12| + tmp13| + tmp14| - tmp4| + tmp0| - tmp2|;",
    "EM_S[INDEX4({0},{1},2,6,numEq,numComp,8)]+= tmp22| - tmp9| + tmp10| - tmp18| - tmp0| - tmp20|;",
    "EM_S[INDEX4({0},{1},2,7,numEq,numComp,8)]+= tmp7| - tmp13| + tmp11| - tmp5| - tmp17| - tmp1|;",
    "EM_S[INDEX4({0},{1},3,0,numEq,numComp,8)]+= tmp7| + tmp9| - tmp14| - tmp3| + tmp5| - tmp15|;",
    "EM_S[INDEX4({0},{1},3,1,numEq,numComp,8)]+= tmp22| + tmp8| - tmp11| + tmp20| - tmp16| - tmp2|;",
    "EM_S[INDEX4({0},{1},3,2,numEq,numComp,8)]+= tmp6| - tmp9| - tmp11| - tmp18| + tmp4| + tmp16|;",
    "EM_S[INDEX4({0},{1},3,3,numEq,numComp,8)]+= tmp21| - tmp8| - tmp10| + tmp15| - tmp17| + tmp19|;",
    "EM_S[INDEX4({0},{1},3,4,numEq,numComp,8)]+= tmp12| + tmp13| + tmp14| - tmp0| + tmp2| - tmp4|;",
    "EM_S[INDEX4({0},{1},3,5,numEq,numComp,8)]+= tmp23| + tmp9| + tmp11| + tmp3| - tmp1| - tmp19|;",
    "EM_S[INDEX4({0},{1},3,6,numEq,numComp,8)]+= tmp7| - tmp13| + tmp11| - tmp5| + tmp1| + tmp17|;",
    "EM_S[INDEX4({0},{1},3,7,numEq,numComp,8)]+= tmp22| - tmp9| + tmp10| + tmp0| - tmp20| + tmp18|;",
    "EM_S[INDEX4({0},{1},4,0,numEq,numComp,8)]+= tmp22| - tmp9| + tmp10| + tmp0| - tmp20| + tmp18|;",
    "EM_S[INDEX4({0},{1},4,1,numEq,numComp,8)]+= tmp7| - tmp13| + tmp11| - tmp5| + tmp1| + tmp17|;",
    "EM_S[INDEX4({0},{1},4,2,numEq,numComp,8)]+= tmp23| + tmp9| + tmp11| + tmp3| - tmp1| - tmp19|;",
    "EM_S[INDEX4({0},{1},4,3,numEq,numComp,8)]+= tmp12| + tmp13| + tmp14| - tmp0| + tmp2| - tmp4|;",
    "EM_S[INDEX4({0},{1},4,4,numEq,numComp,8)]+= tmp21| - tmp8| - tmp10| + tmp15| - tmp17| + tmp19|;",
    "EM_S[INDEX4({0},{1},4,5,numEq,numComp,8)]+= tmp6| - tmp9| - tmp11| - tmp18| + tmp4| + tmp16|;",
    "EM_S[INDEX4({0},{1},4,6,numEq,numComp,8)]+= tmp22| + tmp8| - tmp11| + tmp20| - tmp16| - tmp2|;",
    "EM_S[INDEX4({0},{1},4,7,numEq,numComp,8)]+= tmp7| + tmp9| - tmp14| - tmp3| + tmp5| - tmp15|;",
    "EM_S[INDEX4({0},{1},5,0,numEq,numComp,8)]+= tmp7| - tmp13| + tmp11| - tmp5| - tmp17| - tmp1|;",
    "EM_S[INDEX4({0},{1},5,1,numEq,numComp,8)]+= tmp22| - tmp9| + tmp10| - tmp18| - tmp0| - tmp20|;",
    "EM_S[INDEX4({0},{1},5,2,numEq,numComp,8)]+= tmp12| + tmp13| + tmp14| - tmp4| + tmp0| - tmp2|;",
    "EM_S[INDEX4({0},{1},5,3,numEq,numComp,8)]+= tmp23| + tmp9| + tmp11| + tmp1| - tmp19| - tmp3|;",
    "EM_S[INDEX4({0},{1},5,4,numEq,numComp,8)]+= tmp6| - tmp9| - tmp11| + tmp4| - tmp16| + tmp18|;",
    "EM_S[INDEX4({0},{1},5,5,numEq,numComp,8)]+= tmp21| - tmp8| - tmp10| + tmp19| + tmp17| - tmp15|;",
    "EM_S[INDEX4({0},{1},5,6,numEq,numComp,8)]+= tmp7| + tmp9| - tmp14| + tmp3| + tmp15| + tmp5|;",
    "EM_S[INDEX4({0},{1},5,7,numEq,numComp,8)]+= tmp22| + tmp8| - tmp11| + tmp20| + tmp2| + tmp16|;",
    "EM_S[INDEX4({0},{1},6,0,numEq,numComp,8)]+= tmp23| + tmp9| + tmp11| + tmp3| + tmp1| + tmp19|;",
    "EM_S[INDEX4({0},{1},6,1,numEq,numComp,8)]+= tmp12| + tmp13| + tmp14| + tmp4| + tmp2| + tmp0|;",
    "EM_S[INDEX4({0},{1},6,2,numEq,numComp,8)]+= tmp22| - tmp9| + tmp10| + tmp20| - tmp0| + tmp18|;",
    "EM_S[INDEX4({0},{1},6,3,numEq,numComp,8)]+= tmp7| - tmp13| + tmp11| + tmp17| - tmp1| + tmp5|;",
    "EM_S[INDEX4({0},{1},6,4,numEq,numComp,8)]+= tmp22| + tmp8| - tmp11| - tmp2| - tmp20| + tmp16|;",
    "EM_S[INDEX4({0},{1},6,5,numEq,numComp,8)]+= tmp7| + tmp9| - tmp14| + tmp15| - tmp5| - tmp3|;",
    "EM_S[INDEX4({0},{1},6,6,numEq,numComp,8)]+= tmp21| - tmp8| - tmp10| - tmp17| - tmp19| - tmp15|;",
    "EM_S[INDEX4({0},{1},6,7,numEq,numComp,8)]+= tmp6| - tmp9| - tmp11| - tmp18| - tmp16| - tmp4|;",
    "EM_S[INDEX4({0},{1},7,0,numEq,numComp,8)]+= tmp12| + tmp13| + tmp14| + tmp4| - tmp0| - tmp2|;",
    "EM_S[INDEX4({0},{1},7,1,numEq,numComp,8)]+= tmp23| + tmp9| + tmp11| + tmp19| - tmp1| - tmp3|;",
    "EM_S[INDEX4({0},{1},7,2,numEq,numComp,8)]+= tmp7| - tmp13| + tmp11| - tmp17| + tmp1| + tmp5|;",
    "EM_S[INDEX4({0},{1},7,3,numEq,numComp,8)]+= tmp22| - tmp9| + tmp10| - tmp18| + tmp20| + tmp0|;",
    "EM_S[INDEX4({0},{1},7,4,numEq,numComp,8)]+= tmp7| + tmp9| - tmp14| + tmp3| - tmp5| - tmp15|;",
    "EM_S[INDEX4({0},{1},7,5,numEq,numComp,8)]+= tmp22| + tmp8| - tmp11| - tmp16| + tmp2| - tmp20|;",
    "EM_S[INDEX4({0},{1},7,6,numEq,numComp,8)]+= tmp6| - tmp9| - tmp11| - tmp4| + tmp16| + tmp18|;",
    "EM_S[INDEX4({0},{1},7,7,numEq,numComp,8)]+= tmp21| - tmp8| - tmp10| + tmp15| + tmp17| - tmp19|;"]


